2023-05-12  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 3.5.

2023-05-07  Robby Stephenson  <robby@periapsis.org>

	* Updated KinoPoisk data source (Bug 469441).

2023-04-29  Robby Stephenson  <robby@periapsis.org>

	* Updated Colnect data source to include video game collections.

2023-04-26  Robby Stephenson  <robby@periapsis.org>

	* Updated Colnect data source to include sports card collections.

2023-04-20  Robby Stephenson  <robby@periapsis.org>

	* Updated Colnect data source to include comic book collections.

2023-04-19  Robby Stephenson  <robby@periapsis.org>

	* Updated SRU and z39.50 server info for Library of Congress.

2023-03-11  Robby Stephenson  <robby@periapsis.org>

	* Added config option for link color (Bug 467150).

2023-03-09  Robby Stephenson  <robby@periapsis.org>

	* Added support for importing EPub data on drag/drop (Bug 450192).

2023-02-20  Robby Stephenson  <robby@periapsis.org>

	* Updated AMS MR Lookup data source.
	* Updated Dark Horse data source.
	* Updated KinoPoisk data source.
	* Updated IBS data source.

2023-02-18  Robby Stephenson  <robby@periapsis.org>

	* Added new report with Image Grid.
	* Added report with one entry per page (Bug 452552).

2023-02-05  Robby Stephenson  <robby@periapsis.org>

	* Added data source for iTunes music.

2023-02-03  Robby Stephenson  <robby@periapsis.org>

	* Fixed crashing bug when UI languages are empty (Bug 464102).

2023-01-21  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 3.4.6.
	* Fixed edit dialog resizing (Bug 462237).

2023-01-16  Robby Stephenson  <robby@periapsis.org>

	* Added data source for FilmAffinity.

2023-01-12  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with timing of multisource config read (Bug 461861).

2023-01-10  Robby Stephenson  <robby@periapsis.org>

	* Added label catalog number to Discogs result options (Bug 452548).

2023-01-05  Robby Stephenson  <robby@periapsis.org>

	* Fixed active filter when entry is selected (Bug 462337).

2023-01-02  Robby Stephenson  <robby@periapsis.org>

	* Added user option for https scheme in SRU data source (Bug 463438).

2022-11-21  Robby Stephenson  <robby@periapsis.org>

	* Use transparent background in initial entry view (Bug 461777).

2022-11-17  Robby Stephenson  <robby@periapsis.org>

	* Increased maximum icon size to 512.

2022-11-16  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 3.4.5.

2022-11-05  Robby Stephenson  <robby@periapsis.org>

	* Fixed loading for large reports (Bug 461391).

2022-05-09  Robby Stephenson  <robby@periapsis.org>

	* Added capability to save empty collection as new template (Bug 450043).

2022-04-27  Robby Stephenson  <robby@periapsis.org>

	* Updated ESRB rating for TheGamesDB data source.
	* Fixed image path for exporting GCstar files (Bug 453075).

2022-04-08  Robby Stephenson  <robby@periapsis.org>

	* Updated CSV importer to remember column and row delimiter.

2022-03-26  Robby Stephenson  <robby@periapsis.org>

	* Added screenshot field for IGDB source.

2022-03-23  Robby Stephenson  <robby@periapsis.org>

	* Added screenshot field for MobyGames source.

2022-03-22  Robby Stephenson  <robby@periapsis.org>

	* Added screenshot field for TheGamesDB source.

2022-03-15  Robby Stephenson  <robby@periapsis.org>

	* Added option for using regular expressions in quick filter (Bug 450517).

2022-03-13  Robby Stephenson  <robby@periapsis.org>

	* Added data source for arcade-history.com (Bug 450058).

2022-03-10  Robby Stephenson  <robby@periapsis.org>

	* Added Data Crow importer (Bug 451138).

2022-02-21  Robby Stephenson  <robby@periapsis.org>

	* Updated IMDb data source to include composer (Bug 450618).

2022-02-16  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 3.4.4.

2022-02-14  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with taskbar icon on wayland (Bug 450180).
	* Updated Discogs keyword search to limit results to releases.

2022-02-13  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with saving and viewing surrogate code points (Bug 449244).

2022-02-04  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with fetchdialog layout preventing clicking (Bug 449636).

2022-01-02  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 3.4.3.

2021-12-31  Robby Stephenson  <robby@periapsis.org>

	* Updated kinopoisk.ru data source (Bug 447435).

2021-12-18  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with opening target=_blank links (Bug 445871).

2021-12-11  Robby Stephenson  <robby@periapsis.org>

	* Fixed crashing bug in audio file importer (Bug 446551).

2021-12-06  Robby Stephenson  <robby@periapsis.org>

	* Added explicit filter rule for Bool fields.

2021-11-08  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 3.4.2.

2021-11-07  Robby Stephenson  <robby@periapsis.org>

	* Updated IBS.it data source.

2021-11-06  Robby Stephenson  <robby@periapsis.org>

	* Updated kino.de data source.

2021-11-05  Robby Stephenson  <robby@periapsis.org>

	* Added menu actions to copy and save images (Bug 443897).

2021-10-20  Robby Stephenson  <robby@periapsis.org>

	* Fixed XML error when loading invalid characters (Bug 443845).

2021-10-17  Robby Stephenson  <robby@periapsis.org>

	* Improved Discogs search to fetch more results when available.

2021-10-04  Robby Stephenson  <robby@periapsis.org>

	* Updated TheTVDB data source to API v4.

2021-09-24  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug that caused crashes when importing PDF files.
	* Added command-line option to import PDF file.

2021-08-22  Robby Stephenson  <robby@periapsis.org>

	* Added DBUS command to import PDF files.

2021-08-18  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with being able to undo appending a collection.

2021-08-05  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug that failed to add string macros for importing bibtex (Bug 440652).

2021-06-17  Robby Stephenson  <robby@periapsis.org>

	* Added RPGGeek.com data source.

2021-06-13  Robby Stephenson  <robby@periapsis.org>

	* Updated audio file metadata import for a few more fields.

2021-06-12  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug that made audio file importing always be recursive.

2021-05-27  Robby Stephenson  <robby@periapsis.org>

	* Updated all templates to HTML5.

2021-05-23  Robby Stephenson  <robby@periapsis.org>

	* Improved some entry templates for table layout.

2021-05-16  Robby Stephenson  <robby@periapsis.org>

	* Allowed user-entered language selection for TheMovieDB.

2021-05-09  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 3.4.1.

2021-05-08  Robby Stephenson  <robby@periapsis.org>

	* Updated KinoPoisk data source.
	* Updated Filmaster data source.

2021-05-06  Robby Stephenson  <robby@periapsis.org>

	* Improved image loading to account for orientation (Bug 436683).

2021-05-05  Robby Stephenson  <robby@periapsis.org>

	* Fixed allowing empty beginning rows in table fields.

2021-04-25  Robby Stephenson  <robby@periapsis.org>

	* Fixed relative links in the Entry View (Bug 436071).

2021-04-14  Robby Stephenson  <robby@periapsis.org>

	* Updated DBC data source.

2021-04-11  Robby Stephenson  <robby@periapsis.org>

	* Added DBUS reply for install templates and scripts.

2021-04-04  Robby Stephenson  <robby@periapsis.org>

	* Added capability to save charts as PNG files.
	* Added Year Distribution chart report.

2021-03-26  Robby Stephenson  <robby@periapsis.org>

	* Added TheTVDB data source (Bug 428430).

2021-03-18  Robby Stephenson  <robby@periapsis.org>

	* Added TV series to TMDb data source (Bug 357128).

2021-03-13  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 3.4.

2021-03-07  Robby Stephenson  <robby@periapsis.org>

	* Updated Douban data source.
	* Fixed crashing bug on Windows (Bug 422468).

2021-02-23  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 3.3.5.

2021-02-15  Robby Stephenson  <robby@periapsis.org>

	* Improved MultiFetcher to chain data source searches in order.

2021-02-07  Robby Stephenson  <robby@periapsis.org>

	* Added UPCItemDB.com data source.
	* Added flag for conditional bibtex importing with btparse.

2020-12-27  Robby Stephenson  <robby@periapsis.org>

	* Added additional report with QtCharts.

2020-12-25  Robby Stephenson  <robby@periapsis.org>

	* Improved template refresh on palette or color change.

2020-12-13  Robby Stephenson  <robby@periapsis.org>

	* Switched to use QWebEngine over KHTML by default, when available.

2020-12-08  Robby Stephenson  <robby@periapsis.org>

	* Fixed audio metadata import from directories (Bug 429803).

2020-12-01  Robby Stephenson  <robby@periapsis.org>

	* Fixed import failure bug in reading mp3 artist (Bug 429803).

2020-11-25  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 3.3.4.

2020-11-22  Robby Stephenson  <robby@periapsis.org>

	* Fixed text in group view to use correct color (Bug 429475).
	* Added data source for TVmaze.com.
	* Added barcode searching to MusicBrainz data source (Bug 429483).

2020-11-01  Robby Stephenson  <robby@periapsis.org>

	* Added barcode searching to Discogs data source.

2020-10-25  Robby Stephenson  <robby@periapsis.org>

	* Added sorting in the group view, via context menu.

2020-10-11  Robby Stephenson  <robby@periapsis.org>

	* Improve "Filter by Group" expression to account for tables (Bug 427145).
	* Switch to QRegularExpression from QRegExp for filtering.

2020-10-04  Robby Stephenson  <robby@periapsis.org>

	* Updated IGDB data source to APIv4.

2020-09-22  Robby Stephenson  <robby@periapsis.org>

	* Fixed crashing bug when checking in a loan (Bug 426815).

2020-09-17  Robby Stephenson  <robby@periapsis.org>

	* Added data source for Numista.com.

2020-09-16  Robby Stephenson  <robby@periapsis.org>

	* Enabled general keyword search for MusicBrainz data source (Bug 426560).

2020-09-13  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 3.3.3.
	* Improved Entrez data source to use API key and honor rate limit.

2020-09-02  Robby Stephenson  <robby@periapsis.org>

	* Improved ISBNdb data source to search for multiple ISBN values (Bug 415883).

2020-08-30  Robby Stephenson  <robby@periapsis.org>

	* Updated ISBNdb to API v2.

2020-08-22  Robby Stephenson  <robby@periapsis.org>

	* Updated DBC Open Search data source.

2020-08-21  Robby Stephenson  <robby@periapsis.org>

	* Fixed http headers for Amazon data source (Bug 425129).

2020-08-17  Robby Stephenson  <robby@periapsis.org>

	* Fixed regression for duplicated creation date (Bug 422127).

2020-08-10  Robby Stephenson  <robby@periapsis.org>

	* Fixed column header visibility after reordering fields (Bug 422298).

2020-08-07  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 3.3.2.

2020-08-06  Robby Stephenson  <robby@periapsis.org>

	* Updated KinoPoisk data source.

2020-08-02  Robby Stephenson  <robby@periapsis.org>

	* Updated Allocine data source.
	* Updated KNewStuff categories.

2020-07-26  Robby Stephenson  <robby@periapsis.org>

	* Improved Goodreads importer.

2020-05-31  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 3.3.1.
	* Updated Dark Horse Comics data source.

2020-05-30  Robby Stephenson  <robby@periapsis.org>

	* Updated filter dialog to allow matching against equal empty string.

2020-05-27  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with creation date for duplicated entries (Bug 422127).

2020-05-20  Robby Stephenson  <robby@periapsis.org>

	* Added entry filtering by image size.

2020-05-11  Robby Stephenson  <robby@periapsis.org>

	* Updated Colnect data source to include stamp collections.

2020-04-27  Robby Stephenson  <robby@periapsis.org>

	* Tweaked game platform normalization to match "Nintento Game Boy".

2020-04-26  Robby Stephenson  <robby@periapsis.org>

	* Fixed error in ISO-5426 conversion (Bug 420451).

2020-04-22  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 3.3.

2020-04-21  Robby Stephenson  <robby@periapsis.org>

	* Updated GiantBomb API endpoint.
	* Updated IBS data source.

2020-04-19  Robby Stephenson  <robby@periapsis.org>

	* Updated kino.de data source.
	* Updated KinoPoisk data source.
	* Updated Kino-Teatr data source.

2020-04-14  Robby Stephenson  <robby@periapsis.org>

	* Updated BiblioShare API end point.

2020-04-12  Robby Stephenson  <robby@periapsis.org>

	* Updated ISO-5426 converter.

2020-04-05  Robby Stephenson  <robby@periapsis.org>

	* Updated z3950fetcher to separate query and response character encoding (Bug 419670).

2020-03-28  Robby Stephenson  <robby@periapsis.org>

	* Improved audio file data importer to use Album Artist (Bug 419348).
	* Added notification if user agent is diabled and data source
	requires it (Bug 419319).

2020-02-28  Robby Stephenson  <robby@periapsis.org>

	* Updated data source endpoint for TheGamesDB.net.

2020-02-26  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with writing invalid XML names (Bug 418067).

 2020-02-15  Robby Stephenson  <robby@periapsis.org>

	* Updated Amazon data source to PA-API v5.

2020-01-25  Robby Stephenson  <robby@periapsis.org>

	* Improved MobyGames fetcher (Bug 416718).

2019-12-10  Robby Stephenson  <robby@periapsis.org>

	* Added data source for colnect.net.

2019-11-25  Robby Stephenson  <robby@periapsis.org>

	* Fixed performance regression when loading data file.
	* Released Tellico 3.2.3.

2019-11-09  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 3.2.2.

2019-10-20  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug to revert to behavior of selecting newly added entries (Bug 413217).

2019-10-06  Robby Stephenson  <robby@periapsis.org>

	* Added importer for LibraryThing.com JSON collection files (Bug 411095).

2019-08-04  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with calculating relative file links (Bug 410551).

2019-07-09  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 3.2.1.

2019-07-06  Robby Stephenson  <robby@periapsis.org>

	* Fixed selection bug when modifying an entry after selection changed (Bug 391614).

2019-07-01  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with not updating status bar when cancelling an entry update (Bug 325591).

2019-06-16  Robby Stephenson  <robby@periapsis.org>

	* Fixed file preview generation.
	* Added data source for Kino-Teatr.ua.

2019-05-25  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 3.2.

2019-05-24  Robby Stephenson  <robby@periapsis.org>

	* Updated data source for TheGamesDB.net (Bug 407811).

2019-04-18  Robby Stephenson  <robby@periapsis.org>

	* Added data source for ComicVine.com.

2019-03-10  Robby Stephenson  <robby@periapsis.org>

	* Updated VNDB.org data source.

2019-02-24  Robby Stephenson  <robby@periapsis.org>

	* Corrected server for National Library of Lithuania (Bug 404743).

2019-02-20  Robby Stephenson  <robby@periapsis.org>

	* Added data source for MobyGames.com.

2019-02-14  Robby Stephenson  <robby@periapsis.org>

	* Updated IGDB data source to API v3.

2019-02-10  Robby Stephenson  <robby@periapsis.org>

	* Improved collection merging efficiency (Bug 349410).

2019-01-19  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug reading title from KinoPoisk (Bug 403184).

2019-01-04  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with setting IMDB rating in various locales (Bug 401894).

2019-01-02  Robby Stephenson  <robby@periapsis.org>

	* Added Amazon sites for BR, AU, IN, MX, and TR.

2018-12-18  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 3.1.4.

2018-12-17  Robby Stephenson  <robby@periapsis.org>

	* Updated Kino.de data source.

2018-12-09  Robby Stephenson  <robby@periapsis.org>

	* Updated KinoPoisk.ru data source.

2018-10-30  Robby Stephenson  <robby@periapsis.org>

	* Updated bedetheque.com data source to use https.

2018-10-24  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug to escape the group name when filtering in the Group View (Bug 399928).

2018-10-02  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug when using a regular expression for filtering in a number field (Bug 399323).

2018-09-02  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 3.1.3.
	* Updated TheGamesDB data source.

2018-08-24  Robby Stephenson  <robby@periapsis.org>

	* Updated Amazon source to include multiple content listings in movie plots (Bug 396211).

2018-08-22  Robby Stephenson  <robby@periapsis.org>

	* Fixed LTR direction for year within Video template (Debian Bug #904259)

2018-07-08  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug that cleared selection on modification when a filter was applied (Bug 394343).

2018-07-02  Robby Stephenson  <robby@periapsis.org>

	* Updated SRU fetcher to allow multiple marc records within a SRW result (DNB).

2018-04-18  Robby Stephenson  <robby@periapsis.org>

	* Updated IMDb data source (Bug 393239).

2018-04-02  Robby Stephenson  <robby@periapsis.org>

	* Updated BibTeXML importer.

2018-03-28  Robby Stephenson  <robby@periapsis.org>

	* Fixed compilation for Qt 5.6 (Bug 392457).

2018-03-28  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 3.1.2.
	* Updated Kino.de data source.

2018-03-18  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with inconsistent selection (Bug 391614).
	* Added a workaround for a crash when linking to both Exempi and KFileMetadata.

2018-02-24  Robby Stephenson  <robby@periapsis.org>

	* Updated IMDb data source.

2018-02-07  Robby Stephenson  <robby@periapsis.org>

	* Updated ISBNdb.com data source to v3.

2018-02-05  Robby Stephenson  <robby@periapsis.org>

	* Fixed "Filter by Group" (Bug 389931).

2018-01-30  Robby Stephenson  <robby@periapsis.org>

	* Updated MusicBrainz data source to Web Service v2.

2018-01-15  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 3.1.1.
	* Removed deprecated Wine.com data source.

2018-01-14  Robby Stephenson  <robby@periapsis.org>

	* Updated Kino.de data source.
	* Updated IGDB data source.

2018-01-09  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with OMDB settings not being saved (Bug 388703).
	* Updated IMDb data source.

2017-12-15  Robby Stephenson  <robby@periapsis.org>

	* Revert change to clear search dialog on new search (Bug 357799).

2017-11-19  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with filter selection (Bug 387130).

2017-11-17  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with multi-selection and entry editing (Bug 387053).

2017-11-12  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with incorrect entry titles in icon view and multiple entry icons (Bug 386548).
	* Fixed a few ISO-6937 character encodings.

2017-11-06  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug for "losing" icons after modifying a collection (Bug 386549).

2017-11-02  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with duplicated colons in CSV importer (Bug 386483).

2017-11-01  Robby Stephenson  <robby@periapsis.org>

	* Improved "Filter by Group" to use a regular expression (Bug 386011).

2017-10-14  Robby Stephenson  <robby@periapsis.org>

	* Updated Goodreads importer to use https endpoint.

2017-10-13  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 3.1.

2017-09-20  Robby Stephenson  <robby@periapsis.org>

	* Fixed crashing bugs with remote image loading (Bug 382572, Bug 379607, Bug 384104).

2017-09-10  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with showing stars in column view for float values (Bug 384547).
	* Fixed bug with comparing float values (Bug 384547).

2017-08-26  Robby Stephenson  <robby@periapsis.org>

	* Fixed building with CMake 3.9+ (Bug 382680).

2017-07-16  Robby Stephenson  <robby@periapsis.org>

	* Added data source for kino.de.

2017-07-07  Robby Stephenson  <robby@periapsis.org>

	* Added message dialog for Amazon Associate warning (Bug 364784).

2017-07-06  Robby Stephenson  <robby@periapsis.org>

	* Added DBUS option for filtering exported entries (Bug 382035).

2017-07-02  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug of running out of memory when writing very large XML files (Bug 380832).
	* Improved performance for filtering large collections by avoiding needless field value formatting.

2017-06-22  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with some icons not being shown (Bug 378477).

2017-05-29  Robby Stephenson  <robby@periapsis.org>

	* Switched from using libdiscid to libcdio, which includes cdtext.

2017-05-06  Robby Stephenson  <robby@periapsis.org>

	* Removed Freebase data source.

2017-05-01  Robby Stephenson  <robby@periapsis.org>

	* Fixed track length for CD audio (Bug 379426).

2017-04-30  Robby Stephenson  <robby@periapsis.org>

	* Added data source for IGDB.com.

2017-04-16  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug showing icons for custom collection (Bug 378852).

2017-04-09  Robby Stephenson  <robby@periapsis.org>

	* Added data source for https://opensource.dbc.dk.
	* Added PEGI rating to GiantBomb results (Bug 375996).

2017-03-27  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 3.0.2.

2017-03-26  Robby Stephenson  <robby@periapsis.org>

	* Added data source for VideoGameGeek.com

2017-03-25  Robby Stephenson  <robby@periapsis.org>

	* Updated Douban data source to API v2 (from XML to JSON).

2017-03-24  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with image location for reports, introduced in v3.0.1 (Bug 377790).

2017-03-16  Robby Stephenson  <robby@periapsis.org>

	* Updated the IBS.it data source (Bug 373774).

2017-03-11  Robby Stephenson  <robby@periapsis.org>

	* Added data source for KinoPoisk.ru.

2017-03-04  Robby Stephenson  <robby@periapsis.org>

	* Added data source for OMDBAPI.com.

2017-02-20  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 3.0.1.

2017-02-12  Robby Stephenson  <robby@periapsis.org>

	* Removed Microsoft Academic Search data source (defunct).
	* Updated DBLP data source.

2017-02-08  Robby Stephenson  <robby@periapsis.org>

	* Fixed relative file locations in HTML export (Bug 376134).

2017-02-05  Robby Stephenson  <robby@periapsis.org>

	* Fixed image open dialog to remember last location (Bug 376002).
	* Added ESRB rating for "Everyone 10+" (Bug 375995).

2017-01-30  Robby Stephenson  <robby@periapsis.org>

	* Fixed Bibsys z39.50 settings (Bug 375758).
	* Fixed "Report Bug" menu item to link to bugs.kde.org (Bug 375760).
	* Update MARCXML2MODS stylesheet to version 3.6.

2017-01-29  Robby Stephenson  <robby@periapsis.org>

	* Fixed Google Scholar data source.

2017-01-15  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with Rating drawing size in list view (Bug 372560).

2016-12-19  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with truncated first two characters of root folder when importing a file listing (Bug 373918).

2016-11-08  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 3.0.

2016-06-15  Robby Stephenson  <robby@periapsis.org>

	* Added native data source for Bedetheque.com

2016-05-25  Robby Stephenson  <robby@periapsis.org>

	* Improved performance when deleting many entries.

2016-05-03  Robby Stephenson  <robby@periapsis.org>

	* Use elided text in Choice combobox to avoid wide windows (Bug 362028).

2016-04-26  Robby Stephenson  <robby@periapsis.org>

	* Added menu items for each Url field in icon view (Bug 250913).

2016-04-25  Robby Stephenson  <robby@periapsis.org>

	* Fixed crashing bug with empty table rows (Bug 361622).

2016-04-16  Robby Stephenson  <robby@periapsis.org>

	* Fixed filter comparison with custom dates (Bug 361625).

2016-01-15  Sven Werlen  <sven.werlen@gmail.com>

	* Fixed "Defaults" button in Collection Fields dialog (Bug 357637).

2015-12-06  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 2.3.11.

2015-10-25  Robby Stephenson  <robby@periapsis.org>

	* Removed the Yahoo fetcher.

2015-10-22  Robby Stephenson  <robby@periapsis.org>

	* Added user-defined query pairs for SRUFetcher url.

2015-08-22  Robby Stephenson  <robby@periapsis.org>

	* Improved PDF importer for Science Direct files.

2015-08-16  Robby Stephenson  <robby@periapsis.org>

	* Fixed key accelerator conflict for 'D' in Collection Fields dialog (Bug 351226).

2015-08-05  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with using external fetcher source with MODS output.

2015-07-19  Robby Stephenson  <robby@periapsis.org>

	* Fixed a crashing bug with Nepomuk and certain file types (Bug 345458).

2015-06-02  Robby Stephenson  <robby@periapsis.org>

	* Fixed a bug with HTML exporting titles with single-quotes (Bug 348381).

2015-05-27  Robby Stephenson  <robby@homebase.mars>

	* Removed the Citebase fetcher.

2015-05-24  Robby Stephenson  <robby@homebase.mars>

	* Fixed a bug showing horizontal scroll bar with many table columns (Bug 348189).

2015-03-15  Robby Stephenson  <robby@homebase.mars>

	* Removed the PilotDB exporter.

2015-02-15  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 2.3.10.

2015-02-14  Robby Stephenson  <robby@homebase.mars>

	* Updated the Moviemeter data source to use the new JSON API.
	* Removed the local KXmlRpc copy since it is no longer needed.
	* Updated cover path in DarkHorse fetcher.

2015-01-23  Robby Stephenson  <robby@homebase.mars>

	* Updated the Discogs data source to use the new JSON API.

2014-12-22  Robby Stephenson  <robby@periapsis.org>

	* Added filter rules for numbers less than and greater.

2014-12-12  Robby Stephenson  <robby@periapsis.org>

	* Converted the BoardGameGeek fetcher from a script to the XML API.

2014-12-06  Robby Stephenson  <robby@periapsis.org>

	* Added importer for BoardGameGeek collections.

2014-12-05  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with importing Goodreads collection.

2014-11-09  Robby Stephenson  <robby@periapsis.org>

	* Added workaround for incorrect cover thumbnail in BoardGameGeek fetcher.

2014-10-20  Robby Stephenson  <robby@periapsis.org>

	* Updated CSV importer to recognize LibraryThing files.

2014-10-19  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with Allocine API search using punctuation (Bug 337432).

2014-10-11  Robby Stephenson  <robby@periapsis.org>

	* Added data source for Mathematical Review.
	* Fixed crashing bug with some ISBNdb results (Bug 339063).
	* Updated Producer results for IMDb and TheMovieDB fetchers (Bug 336765).

2014-10-11  Pino Toscano  <pino@kde.org>

	* Update internal libcsv copy to 3.0.3.

2014-10-09  Pino Toscano  <pino@kde.org>

	* Switch to using libdiscid for reading audio CD info.

2014-06-22  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 2.3.9.

2014-05-26  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with writing out link-only images in HTML exporter (Bug 330649).

2014-05-25  Robby Stephenson  <robby@periapsis.org>

	* Fixed character encoding in Allocine fetcher (Bug 334527).
	* Removed IMDb country choice since it's now unavailable (Bug 330641).

2014-04-27  Robby Stephenson  <robby@periapsis.org>

	* Disabled Discogs image fetching since OAuth is now required.

2014-04-17  Robby Stephenson  <robby@periapsis.org>

	* Fixed CSV importer bug, causing a hang (Bug 329677, Debian Bug 729503).

2014-01-31  Robby Stephenson  <robby@periapsis.org>

	* Updated TheMovieDB fetcher to API version 3.

2014-01-30  Robby Stephenson  <robby@periapsis.org>

	* Fixed crashing bug in IMDB fetcher (Bug 330591).

2013-11-14  Robby Stephenson  <robby@periapsis.org>

	* Fixed crashing bug in command-line importing (Debian bug 729499).

2013-11-08  Robby Stephenson  <robby@periapsis.org>

	* Fixed type error in Microsoft Academic Search fetcher.

2013-11-07  Robby Stephenson <robby@periapsis.org>

	* Fixed error in setting modified date for entry in certain cases (Bug 326911).

2013-11-06  Robby Stephenson <robby@periapsis.org>

	* Improved GCstar import and export to handle custom GCstar fields.

2013-10-13  Robby Stephenson  <robby@periapsis.org>

	* Updated IMDb fetcher (Bug 325673).

2013-07-07  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 2.3.8.

2013-07-04  Robby Stephenson  <robby@periapsis.org>

	* Disabled fetchers for Spanish Ministry of Culture, Beyazperde, Filmstarts, ScreenRush, and Sensacine.

2013-07-01  Robby Stephenson  <robby@periapsis.org>

	* Updated ISBNdb.com fetcher to use v2 of API.

2013-06-09  Robby Stephenson  <robby@periapsis.org>

	* Added Bibtex importing for drag/drop text (Bug 319182).

2013-06-08  Robby Stephenson  <robby@periapsis.org>

	* Fixed Entrex/Pubmed fetcher for summary requests (Bug 319501).

2013-04-05  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with retaining allowed values when adding entries from data sources (Bug 317905).

2013-03-27  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with not properly escaping text in CSV exporter (Bug 317473).

2013-03-24  Robby Stephenson  <robby@periapsis.org>

	* Updated GiantBombFetcher for XML changes in responses.

2013-03-11  Robby Stephenson  <robby@periapsis.org>

	* Fixed regexp in Google Scholar fetcher to set cookie (Bug 316550).

2013-03-10  Robby Stephenson  <robby@periapsis.org>

	* Update Allocine API to use JSON instead of XML.

2013-03-03  Robby Stephenson  <robby@periapsis.org>

	* Add coverartarchive.org to MusicBrainz data source.

2013-02-09  Robby Stephenson  <robby@periapsis.org>

	* Fixed character encoding in IMDB results list (Bug 314113).

2013-02-02  Robby Stephenson  <robby@periapsis.org>

	* Added fetcher for VNDB.org.

2013-01-27  Robby Stephenson  <robby@periapsis.org>

	* Added Dewey Decimal and LCC to ISBNdb.org results.

2013-01-26  Robby Stephenson  <robby@periapsis.org>

	* Fixed crashing bug with OpenLibrary fetcher.

2013-01-23  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 2.3.7.

2013-01-18  Robby Stephenson  <robby@periapsis.org>

	* Fixed a bug with the number field not catching a modified value (Bug 313304).

2013-01-08  Robby Stephenson  <robby@periapsis.org>

	* Fixed a bug with editing the toolbar config in KDE 4.9.2+.

2012-12-07  Robby Stephenson  <robby@periapsis.org>

	* Added a config setting for using a Google API key for book searches.
	* Updated fetcher for IMDb.

2012-11-21  Robby Stephenson  <robby@periapsis.org>

	* Added VinoXML importer.

2012-11-03  Robby Stephenson  <robby@periapsis.org>

	* Added fetcher for DBLP.org.

2012-10-14  Robby Stephenson  <robby@periapsis.org>

	* Fixed a bug that caused loans to fail to get checked-in (Bug 307958).

2012-09-18  Robby Stephenson  <robby@periapsis.org>

	* Added fetcher for thegamesdb.net.

2012-09-09  Robby Stephenson  <robby@periapsis.org>

	* Changed Griffith importer to use XML files instead of python script and assuming a sqlite3 database.

2012-09-03  Robby Stephenson  <robby@periapsis.org>

	* Updated Delicious Library importer.

2012-08-26  Robby Stephenson  <robby@periapsis.org>

	* Removed API key configuration for Discogs since it's no longer needed.

2012-08-22  Robby Stephenson  <robby@periapsis.org>

	* Corrected character encoding for DVDfr search.
	* Corrected title vs. original title in DVDfr results.
	* Corrected actor and role order in Allocine fetcher.

2012-08-07  Robby Stephenson  <robby@periapsis.org>

	* Fixed a bug with adding new fields when importing bibtex (Bug 304767).

2012-07-13  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 2.3.6.

2012-06-10  Robby Stephenson  <robby@periapsis.org>

	* Added simple importer for CIW files from ISI.

2012-05-30  Robby Stephenson  <robby@periapsis.org>

	* Added data sources for IMDB in French, Spanish, German, Italian, and Portuguese.

2012-05-12  Robby Stephenson  <robby@periapsis.org>

	* Fixed a bug with loading images from Google Book search (Bug 299789).

2012-05-06  Robby Stephenson  <robby@periapsis.org>

	* Added API data source for HathiTrust.

2012-05-04  Robby Stephenson  <robby@periapsis.org>

	* Fixed a bug when using a local image directory for a file that has not yet been saved (Bug 299130).

2012-04-20  Robby Stephenson  <robby@periapsis.org>

	* Added API data sources for Allocine, ScreenRush, FilmStarts, SensaCine, and Beyazperde.

2012-03-23  Robby Stephenson  <robby@periapsis.org>

	* Fixed bugs in IBS.it data source.

2012-03-14  Robby Stephenson  <robby@periapsis.org>

	* Added data source for Springer Link.

2012-03-09  Robby Stephenson  <robby@periapsis.org>

	* Added data source for the Microsoft Academic Search.

2012-02-26  Robby Stephenson  <robby@periapsis.org>

	* Fixed a crashing bug when entering multiple ISBN values in search.
	* Improved Amazon search for US UPC values from non-UPC sites.

2012-01-15  Robby Stephenson  <robby@periapsis.org>

	* Fixed a crashing bug when using the scanner dialog.
	* Released Tellico 2.3.5.

2011-12-26  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with merging entries. Entry IDs will never be different
	so don't warn the user (Bug 289346).
	* Fixed bug with Cancel not working in the Entry Merge dialog.

2011-12-17  Robby Stephenson  <robby@periapsis.org>

	* Refactored fetcher tests to check for network access before running
	* Updated Discogs fetcher to use API v2

2011-12-14  Robby Stephenson  <robby@periapsis.org>

	* Fixed importing of multi-line notes from Alexandria (Bug 289022).

2011-11-30  Robby Stephenson  <robby@periapsis.org>

	* Updated fetcher for Allocine.fr.

2011-10-28  Robby Stephenson  <robby@periapsis.org>

	* Added filter rules for dates before and after.

2011-10-13  Robby Stephenson  <robby@periapsis.org>

	* Fixed broken script for searching Dark Horse Comics.

2011-10-05  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug that always showed checkmark for boolean field values (Bug 283444).

2011-10-04  Robby Stephenson  <robby@periapsis.org>

	* Updated GCstar exporter to include images.

2011-09-27  Robby Stephenson  <robby@periapsis.org>

	* Added Amazon data sources for China, Spain, and Italy.

2011-09-24  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 2.3.4.

2011-09-18  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug when editing month in the date widget in KDE 4.7 (Bug 281365).

2011-08-30  Robby Stephenson  <robby@periapsis.org>

	* Fixed showing a doubled filter count (Bug 281082).

2011-08-21  Robby Stephenson  <robby@periapsis.org>

	* Added data source for Google Book search.

2011-07-23  Robby Stephenson  <robby@periapsis.org>

	* Updated filter rules to match against values without diacritics
	  for "Contains" criters (Bug 222400).

2011-07-20  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug in year from Douban.com data source.
	* Fixed TMDB search for multiple person results.

2011-07-01  Robby Stephenson  <robby@periapsis.org>

	* Added importer for MovieMeter.nl.

2011-06-24  Robby Stephenson  <robby@periapsis.org>

	* Fixed crashing bug with CSV importer and changing delimiters.

2011-05-29  Robby Stephenson  <robby@periapsis.org>

	* Made Entry View always visible.
	* Moved icon view to share space with the list view (Bug 250912).

2011-05-20  Robby Stephenson  <robby@periapsis.org>

	* Added importer for Goodreads collections.

2011-05-13  Pedro Miguel Carvalho <kde@pmc.com.pt>

	* Added shortcut key to switch main window to/from full screen state.
	* Added shortcut key to show/hide menubar (Bug 251157).

2011-05-07  Pedro Miguel Carvalho <kde@pmc.com.pt>

	* Added UI controls for changing icon size (Bug 250907).

2011-05-07  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with image link in Tri-Column report template (Bug 272744).

2011-05-06  Robby Stephenson  <robby@periapsis.org>

	* Added French, Spanish, and German codes for TheMovieDB.
	* Added icon cache to improve performance with large images
	  (Patch from Pedro Miguel Carvalho, Bug 272583).

2011-05-01  Robby Stephenson  <robby@periapsis.org>

	* Changed image loading to use known id instead of recalculating, improves performance.

2011-04-10  Robby Stephenson  <robby@periapsis.org>

	* Improved performance for loading and sorting large collections.
	* Released Tellico 2.3.3.

2011-04-04  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with loans not being updated for removed entries (Bug 270129).

2011-03-21  Robby Stephenson  <robby@periapsis.org>

	* Fixed crashing bug for editing some values (Bug 269044).

2011-03-19  Robby Stephenson  <robby@periapsis.org>

	* Fixed editing existing filters (Bug 268829).

2011-03-07  Robby Stephenson  <robby@periapsis.org>

	* Added Manga search for AnimeNfo.

2011-02-27  Robby Stephenson  <robby@periapsis.org>

	* Fixed parsing bug with AnimeNfo results.

2011-02-23  Regis Boudin

	* Updated videodev include for compatibility with Linux kernel 2.6.38+.

2011-02-21  Robby Stephenson  <robby@periapsis.org>

	* Added data source for douban.com.

2011-02-19  Robby Stephenson  <robby@periapsis.org>

	* Added data source fetcher for filmaster.com.

2011-02-18  Regis Boudin

	* Fixed build with GCC 4.6.

2011-02-13  Robby Stephenson  <robby@periapsis.org>

	* Added check for duplicate bibtex keys (Bug 245225).

2011-02-02  Robby Stephenson  <robby@periapsis.org>

	* Added capability to import ADS format for z39.50 sources.

2011-01-11  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with parsing empty table values (Bug 261108).

2011-01-03  Robby Stephenson  <robby@periapsis.org>

	* Fixed parsing bug with IMDb results (Bug 262036).

2010-12-12  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 2.3.2.

2010-12-11  Robby Stephenson  <robby@periapsis.org>

	* Updated Bibtex handler to translate ~ to non-breaking space.

2010-12-08  Robby Stephenson  <robby@periapsis.org>

	* Updated Allocine script to version 0.7.3 (Bug 258281).

2010-12-03  Robby Stephenson  <robby@periapsis.org>

	* Fixed sorting multiple numeric values in column view.
	* Fixed sorting for numeric values in group view.

2010-12-01  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with FreeDB results not using track artists (Bug 258541).
	* Fixed bug with importing Bibtex file with keyword and keywords fields (Bug 258269);

2010-11-23  Robby Stephenson  <robby@periapsis.org>

	* Fixed Google Scholar fetcher to properly set bibtex cookie.

2010-11-21  Robby Stephenson  <robby@periapsis.org>

	* Added cover art to MusicBrainz fetcher.

2010-11-20  Robby Stephenson  <robby@periapsis.org>

	* Switched Nepomuk requirement to optional for file metadata.

2010-11-14  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with updating groups for derived values (Bug 256374).

2010-11-10  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with list view settings not being saved between sessions (Bug 256373).

2010-11-06  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 2.3.1.

2010-11-02  Robby Stephenson  <robby@periapsis.org>

	* Fixed edit dialog behavior when closing to be consistent with discarding data (Bug: 255938).

2010-10-21  Robby Stephenson  <robby@periapsis.org>

	* Fixed error in Italian translation that caused HTML error and add workaround for future problems (Bug: 254863).

2010-10-17  Robby Stephenson  <robby@periapsis.org>

	* Updated Freebase source for adapted /music/release schema.

2010-10-14  Robby Stephenson  <robby@periapsis.org>

	* Updated IMDb data source for new layout (Bug: 253549).

2010-10-13  Robby Stephenson  <robby@periapsis.org>

	* Added options in CSV importer and exporter for table delimiters.

2010-09-20  Robby Stephenson  <robby@periapsis.org>

	* Changed URL field output to truncate link text to 30 letters (Bug: 250880).

2010-09-12  Robby Stephenson  <robby@periapsis.org>

	* Increased max icon size to 256.

2010-09-11  Robby Stephenson  <robby@periapsis.org>

	* Changed updating match algorithm to try to improve results when having multiple good matches (Bug: 250886).

2010-09-10  Robby Stephenson  <robby@periapsis.org>

	* Updated GCstar plugin fetcher to use a separate thread.
	* Fixed crash with z39.50 fetcher (Bug: 250795).

2010-09-07  Robby Stephenson  <robby@periapsis.org>

	* Updated GCstar plugin fetcher to work with comic books.

2010-09-03  Robby Stephenson  <robby@periapsis.org>

	* Fixed parsing for director and writer in IMDB fetcher (Bug: 249096).

2010-09-02  Robby Stephenson  <robby@periapsis.org>

	* Updated DTD and added unit test for validation.

2010-08-29  Robby Stephenson  <robby@periapsis.org>

	* Added GCstar import/export for comic book collections.

2010-08-28  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with adding new fields during CSV import.

2010-08-25  Robby Stephenson  <robby@periapsis.org>

	* Added GCstar export for wine collections.
	* Improved GCstar import for wine collections.

2010-08-21  Robby Stephenson  <robby@periapsis.org>

	* Fixed filter view to apply filter when item is selected (Bug: 248657).

2010-08-16  Robby Stephenson  <robby@periapsis.org>

	* Improved exporter to add option for limiting exported fields (Bug 246390).

2010-08-13  Robby Stephenson  <robby@periapsis.org>

	* Added data source fetcher for dvdfr.com.

2010-08-07  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 2.3.

2010-07-29  Robby Stephenson  <robby@periapsis.org>

	* Fixed sorting by rating when rating has double digits (Bug: 246202).

2010-07-25  Robby Stephenson  <robby@periapsis.org>

	* Fixed IMDb matching on partial titles (Bug: 245665).
	* Fixed IMDb fetching of alternative titles.

2010-07-11  Robby Stephenson  <robby@periapsis.org>

	* Fixed IMDb fetching of audio track and color (Bug: 244159).

2010-07-10  Robby Stephenson  <robby@periapsis.org>

	* Fixed metadata import for file listing.

2010-07-09  Robby Stephenson  <robby@periapsis.org>

	* Added Dewey Decimal and LoC Classification to z3950 MODS import.
	* Fix subtitle value in MODS import.

2010-06-19  Robby Stephenson  <robby@periapsis.org>

	* Added filter for data source list.

2010-05-04  Robby Stephenson  <robby@periapsis.org>

	* Updated BoardGameGeek fetcher for new API.

2010-05-02  Robby Stephenson  <robby@periapsis.org>

	* Added data source for Freebase.

2010-04-29  Robby Stephenson  <robby@periapsis.org>

	* Fixed crashing bug for loading images whose size exceeded the cache size.

2010-04-28  Robby Stephenson  <robby@periapsis.org>

	* Changed Amazon Japan video search to include DVDs.
	* Added new fetcher for combining results from multiple sources.

2010-04-27  Robby Stephenson  <robby@periapsis.org>

	* Updated allocine.fr script to version 0.7.1, patch from Romain Henriet.

2010-03-29  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with cursor position in date field entry.

2010-03-27  Robby Stephenson  <robby@periapsis.org>

	* Added fetcher for openlibrary.org (requires QJSON lib).

2010-03-24  Robby Stephenson  <robby@periapsis.org>

	* Added clear button for rating widget (BUG: 227982).
	* Control characters are now stripped from all text files on import (BUG: 231302).
	* Removed local FindKcddb cmake module in favor of system FindKdeMultimedia.

2010-03-23  Robby Stephenson  <robby@periapsis.org>

	* Fixed selection bug when duplicating an entry (BUG: 231125).

2010-03-22  Robby Stephenson  <robby@periapsis.org>

	* Fixed crash in exporting HTML for collections with no grouping field (BUG: 231302).
	* Fixed bug that showed info dialog multiple times when changing image location.

2010-02-24  Robby Stephenson  <robby@periapsis.org>

	* Fixed crash in CSV importer.

2010-02-21  Robby Stephenson  <robby@periapsis.org>

	* Tweaked entry ID values to start at 1 instead of 0.

2010-02-13  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 2.2.

2010-02-06  Robby Stephenson  <robby@periapsis.org>

	* Enabled Korganizer integration for tracking loans.

2010-01-27  Robby Stephenson  <robby@periapsis.org>

	* Fixed some hyphenation problems when typing 978 ISBN values.
	* Enabled KAddressBook integration for borrowers.

2010-01-15  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug in en_GB translation that affected file selection.

2010-01-13  Robby Stephenson  <robby@periapsis.org>

	* Enabled filter dialog to apply empty filter.

2010-01-03  Robby Stephenson  <robby@periapsis.org>

	* Improved performance for modifying many entries at once.

2010-01-01  Robby Stephenson  <robby@periapsis.org>

	* Added Giant Bomb data source.

2009-12-31  Robby Stephenson  <robby@periapsis.org>

	* Fixed adding "link-only" files (BUG #220645).
	* Fixed Discogs track download and title search.

2009-12-22  Robby Stephenson  <robby@periapsis.org>

	* Updated CrossRef data source to allow authentication via email address.
	* Updated Crossref data source for new schema.

2009-12-19  Robby Stephenson  <robby@periapsis.org>

	* Added MusicBrainz data source.

2009-12-18  Robby Stephenson  <robby@periapsis.org>

	* Fixed setting correct permissions of backup file (BUG #219259).
	* Fixed formatting of multiple people with auto-formatting (BUG #219268).

2009-12-16  Robby Stephenson  <robby@periapsis.org>

	* Added themoviedb.org data source.

2009-12-12  Robby Stephenson  <robby@periapsis.org>

	* Improve updating from Amazon to include book title or album title in search.

2009-12-04  Robby Stephenson  <robby@periapsis.org>

	* Added option for turning webcam off.

2009-11-30  Robby Stephenson  <robby@periapsis.org>

	* Enabled JavaScript for report dialog, incase a template wants to use it.
	* Fixed crashing bug for sorting during HTML export.
	* Fixed multiple selection in entry view (KDE #216122).

2009-11-20  Robby Stephenson  <robby@periapsis.org>

	* Fixed IMDB search to find director and writers.
	* Fixed Polish ISBN formatting.
	* Released Tellico 2.1.1.

2009-11-17  Robby Stephenson  <robby@periapsis.org>

	* Fixed sorting in icon view.

2009-11-16  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug that kept filters from being saved. BUG#214672.

2009-11-12  Robby Stephenson  <robby@periapsis.org>

	* Updated script for searching allocine.fr.

2009-11-11  Robby Stephenson  <robby@periapsis.org>

	* Changed webcam image preview to only appear when searching by ISBN or  UPC/EAN.

2009-11-10  Robby Stephenson  <robby@periapsis.org>

	* Fixed sorting when auto-formatting is on.

2009-11-06  Robby Stephenson  <robby@periapsis.org>

	* Fixed crashing bug related to some table values.
	* FIxed crashing bug related to column sorting. BUG#214661.

2009-11-01  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 2.1.

2009-10-31  Robby Stephenson  <robby@periapsis.org>

	* Fixed crashing bug for loading ISBN list from file.

2009-10-22  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with the sort order not being saved.

2009-10-21  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug that auto-formatting was not always applied.

2009-10-11  Robby Stephenson  <robby@periapsis.org>

	* Fixed grouping to always show group for empty value.
	* Fixed crashing bug when filtering entry with empty title.
	* Fixed compilation for KDE < 4.2.
	* Fixed filtering bug when modifying entry value.

2009-10-10  Robby Stephenson  <robby@periapsis.org>

	* Added PAM/PRISM translator to SRU fetcher.

2009-10-07  Robby Stephenson  <robby@periapsis.org>

	* Updated Amazon and Crossref search to no longer store key in the KWallet.

2009-10-03  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug to allow multiple values in table columns.

2009-09-30  Robby Stephenson  <robby@periapsis.org>

	* Added Wine.com data source.

2009-09-29  Robby Stephenson  <robby@periapsis.org>

	* Updated GCstar import support for video games and board games.

2009-09-24  Robby Stephenson  <robby@periapsis.org>

	* Updated ISBNdb.com fetcher and Discogs fetcher to allow user access keys.

2009-09-23  Robby Stephenson  <robby@periapsis.org>

	* Updated the SRU fetcher to leave the response format empty.

2009-09-22  Robby Stephenson  <robby@periapsis.org>

	* Fixed crash when exporting to HTML under certain conditions.
	* Removed the GCcfilms exporter and added the GCstar exporter.

2009-09-21  Robby Stephenson  <robby@periapsis.org>

	* Fixed typo in DTD.

2009-09-20  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 2.0.

2009-09-07  Robby Stephenson  <robby@periapsis.org>

	* Enabled multiple ISBN and LCCN search for SRU fetcher.

2009-09-06  Robby Stephenson  <robby@periapsis.org>

	* Updated the "Multiple ISBN" dialog box to validate ISBN and CueCat input.

2009-09-04  Robby Stephenson  <robby@periapsis.org>

	* Updated webcam support to use libv4l library.

2009-09-01  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 2.0pre2.

2009-08-23  Robby Stephenson  <robby@periapsis.org>

	* Added default fields for entry creation date and last-modified date.
	* Removed dependency on QCA2 library.

2009-08-09  Robby Stephenson  <robby@periapsis.org>

	* Updated Tellico user mailing list address.
	* Released Tellico 2.0pre1.

2009-08-01  Robby Stephenson  <robby@periapsis.org>

	* Updated HTML export to use country and language code both for sorting.
	* Updated Tellico home page URL.
	* Moved to document syntax 11 for removing Dependent and ReadOnly fields.
	* Added ID field to each new collection by default.

2009-03-13  Petri Damstén  <damu@iki.fi>

	* Added scanning support to image widget.
	* Added 'Open With...' -button to image widget

2009-03-10  Robby Stephenson  <robby@periapsis.org>

	* Added reading album artist from TPE2 tags in mp3 files.

2009-02-14  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.3.5.

2009-02-04  Robby Stephenson  <robby@periapsis.org>

	* Reverted change from 2007 that merged entries by combining all values in multiple-value fields.

2009-02-02  Robby Stephenson  <robby@periapsis.org>

	* Fixed the CueCat decoder to work for ISBN searches, as well as UPC.

2009-01-30  Robby Stephenson  <robby@periapsis.org>

	* Updated Deliciour Library 1 importer to handle movies and games.
	* Fixed Ubuntu bug#317822, don't mark collection modified when image is found in local data directory.
	* Fixed query bug with z39.50 ISBN search.

2008-12-07  Robby Stephenson  <robby@periapsis.org>

	* Updated it.po, thanks to Valerio Ricci.

2008-10-23  Robby Stephenson  <robby@periapsis.org>

	* Added date, time, and username as available params for the XSLT export.

2008-09-13  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.3.4.

2008-09-04  Robby Stephenson  <robby@periapsis.org>

	* Fixed error with consecutive tabs in CSV import.

2008-08-26  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with image links in reports not being linked correctly.

2008-08-20  Robby Stephenson  <robby@periapsis.org>

	* Added minimal searching for board games from Amazon.

2008-08-07  Robby Stephenson  <robby@periapsis.org>

	* Changed Choice fields to sort by position in list.

2008-07-25  Robby Stephenson  <robby@periapsis.org>

	* Added ESC key for clearing quick filter.
	* Improved drag/drop to match on file extension after checking mimetype.

2008-07-22  Robby Stephenson  <robby@periapsis.org>

	* Updated IMDb plot regexp.

2008-07-09  Robby Stephenson  <robby@periapsis.org>

	* Fixed EntryView to honor copy() command properly, for clipboard.
	* Released Tellico 1.3.3.

2008-06-24  Robby Stephenson  <robby@periapsis.org>

	* Updated Porbase URL in z39.50 server list.

2008-06-13  Robby Stephenson  <robby@periapsis.org>

	* Updated drag-and-drop to allow HTTP urls.

2008-06-12  Robby Stephenson  <robby@periapsis.org>

	* Changed Arxiv fetcher to remove ID version number for results.

2008-06-07  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with merging file catalogs, to properly match on URL.

2008-05-24  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.3.2.1.
	* Fixed en_GB translation to remove context strings.

2008-05-23  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.3.2.
	* Include Canadian LCC values, patch from Peter Stevenson.

2008-05-19  Robby Stephenson  <robby@periapsis.org>

	* Updated entry creation to always add default values. Fixes Debian bug 481639.

2008-04-29  Robby Stephenson  <robby@periapsis.org>

	* Improved IMDb search results.

2008-04-15  Robby Stephenson  <robby@periapsis.org>

	* When adding a book to a bibliography, set the type to 'book'.

2008-04-11  Robby Stephenson  <robby@periapsis.org>

	* Updated LCCN search to validate format.
	* Updated entry match to compare validated LCCN.
	* Updated z39.50 search to allow multiple LCCN values.

2008-04-09  Robby Stephenson  <robby@periapsis.org>

	* Changed loader to eliminate possible duplicates for fields allowing multiple values (like keywords).
	* Updated PubMed search to add all keywords.
	* Fixed PubMed search to use utf8 encoding.

2008-04-08  Robby Stephenson  <robby@periapsis.org>

	* Changed XML loader to strip whitespace from non-paragraph values.

2008-04-06  Robby Stephenson  <robby@periapsis.org>

	* Added languages and editors to Amazon book import.

2008-03-15  Robby Stephenson  <robby@periapsis.org>

	* Updated mods2tellico.xsl to try to capture more of mods info converted from refbase.

2008-03-13  Robby Stephenson  <robby@periapsis.org>

	* Updated mods2tellico.xsl to try to capture more of bibtex info converted from wikindx.

2008-03-10  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.3.1.
	* Added Discogs.com fetcher.

2008-03-06  Robby Stephenson  <robby@periapsis.org>

	* Added Google Scholar search.

2008-03-05  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug that prevented using bibtex format for external scripts.

2008-03-03  Robby Stephenson  <robby@periapsis.org>

	* Changed "ISBN not found" dialog to only appear if multiple ISBN values are being searched.

2008-03-01  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with SRU format not getting remembered in config dialog.
	* Fixed bug with entries with multiple titles not getting linked in the HTML export.

2008-02-29  Robby Stephenson  <robby@periapsis.org>

	* Added LCCN lookup to z39.50 source.
	* Added LCCN lookup to SRU source.
	* Updated CrossRef fetcher to use new unixref format with more data.

2008-02-26  Robby Stephenson  <robby@periapsis.org>

	* Added DOI search to Entrez/Pubmed interface.
	* Fixed bug with some free-form date fields not getting formatted correctly, resulting in a blank string in column view and reports.

2008-02-12  Robby Stephenson  <robby@periapsis.org>

	* Improved loader to delay loading linked images as long as possible.

2008-02-11  Robby Stephenson  <robby@periapsis.org>

	* Fixed Bibtex import for keywords field.

2008-02-07  Robby Stephenson  <robby@periapsis.org>

	* Updated Delicious Library importer to look for cover images.
	* Updated BoardGameGeek script to grab cover image, patch from
Sven Werlen.

2008-01-29  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.3.
	* Fixed bug with stepping through selected entries after editing one.

2008-01-20  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with matching ISBN values for updating entries.

2008-01-11  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.3pre1.

2008-01-09  Robby Stephenson  <robby@periapsis.org>

	* Updated Spanish Ministry of Culture script.

2008-01-05  Robby Stephenson  <robby@periapsis.org>

	* Updated IMDB search to fix director and TV cast.

2007-12-11  Robby Stephenson  <robby@periapsis.org>

	* Added DCOP calls to set the view filter and to show entries.
	* Improved filter to allow specifying field name with '='.

2007-12-10  Robby Stephenson  <robby@periapsis.org>

	* Added importer for Delicious Library files.

2007-12-06  Robby Stephenson  <robby@periapsis.org>

	* Updated Dependant field parsing to allow %{id} to grab entry id.
	* Added context menu option in icon view to change sorting.
	* Extended the DCOP interface to allow adding and removing entries, reading field values, and setting field values.

2007-11-30  Robby Stephenson  <robby@periapsis.org>

	* Added capability to save a link to an image only, instead of saving it to the users image directory. Setting an image field property link=true will make that the default.

2007-11-26  Robby Stephenson  <robby@periapsis.org>

	* Updated to allow a "required" property to be included to indicate that a on-empty value should always be present when saving.
	* Updated to use libcsv from Robert Gamble, allowing newlines

2007-11-25  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with creating filter from group item.
	* Added Ukrainian translation from Serhij Dubyk Сергій Дубик.

2007-11-15  Robby Stephenson  <robby@periapsis.org>

	* Added a sharedmimeinfo file.

2007-11-13  Robby Stephenson  <robby@periapsis.org>

	* Added Bibsonomy fetcher.
	* Added citebase.org fetcher.

2007-11-06  Robby Stephenson  <robby@periapsis.org>

	* Added option for importing bibtex in Unicode (UTF-8).
	* Added importing from Referencer.

2007-11-05  Robby Stephenson  <robby@periapsis.org>

	* Added arxiv.org API fetcher.

2007-11-04  Robby Stephenson  <robby@periapsis.org>

	* Fixed bugs related to compilation with gcc 4.3.

2007-10-27  Robby Stephenson  <robby@periapsis.org>

	* Added option for saving images in local relative directory to data file.

2007-10-26  Robby Stephenson  <robby@periapsis.org>

	* Added menu command for merging entries, based on patch from Cyril Dangerville.

2007-10-24  Robby Stephenson  <robby@periapsis.org>

	* Added CrossRef search for DOI.

2007-10-21  Robby Stephenson  <robby@periapsis.org>

	* Fixed list view sorting to take into account automatic formatting.
	* Fixed date sorting to put empty dates first.

2007-10-19  Robby Stephenson  <robby@periapsis.org>

	* Fixed sorting bug for images.
	* Fixed sorting bug for empty dates in HTML export, patch from Jake Maciejewski.

2007-10-15  Robby Stephenson  <robby@periapsis.org>

	* Fixed crashing bug in bibtex importer.

2007-10-14  Robby Stephenson  <robby@periapsis.org>

	* Added PDF importer, using exempi XMP library.
	* Added drag & drop support for PDF importer.

2007-10-13  Robby Stephenson  <robby@periapsis.org>

	* Added DOI and URL to default bibtex collection fields.

2007-09-23  Robby Stephenson  <robby@periapsis.org>

	* Added data source for using GCstar plugins.
	* Fixed bug with escaping the image id for file names.

2007-09-22  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.2.14.

2007-09-20  Robby Stephenson  <robby@periapsis.org>

	* Added importer for Griffith database.

2007-09-10  Robby Stephenson  <robby@periapsis.org>

	* Updated Spanish Ministry of Culture script to search out of prints book and add notes field.
	* Updated tellico2html.js file for searching in HTML export.
	* Updated GCstar import to parse new XML format in GCstar version 1.2.

2007-08-27  Robby Stephenson  <robby@periapsis.org>

	* Updated allocine.fr source script to version 0.4, thanks to Mathias Monnerville.
	* Updated the Amazon.com search to allow searching for comic books.
	* Updated the isbndb.com search to allow searching for comic books.
	* Fixed ISBNdb search.

2007-08-25  Robby Stephenson  <robby@periapsis.org>

	* Changed default SRU port from 7090 to 80.

2007-08-23  Robby Stephenson  <robby@periapsis.org>

	* Update CSS in HTML export.

2007-08-10  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with yaz_iconv not flushing complete string for z39.50 search.

2007-08-09  Robby Stephenson  <robby@periapsis.org>

	* Added MARCXML to possible SRU format.
	* Fixed bug with MARC stylesheets to work with better with embedded records.

2007-08-03  Robby Stephenson  <robby@periapsis.org>

	* Updated entry updating to work with all collection types.

2007-07-28  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.2.13.

2007-07-24  Robby Stephenson  <robby@periapsis.org>

	* Added spell-check for text and paragraph fields.

2007-07-22  Robby Stephenson  <robby@periapsis.org>

	* Added compatibility with yaz3.

2007-07-19  Robby Stephenson  <robby@periapsis.org>

	* Added importer for GCstar files.
	* Fixed bug with namespace handling in Tellico XML loading.

2007-07-14  Robby Stephenson  <robby@periapsis.org>

	* Added Copac and National Library of Lithuania to z39.50 list.

2007-07-08  Robby Stephenson  <robby@periapsis.org>

	* Fixed crashing bug when adding items to a collection with loans.

2007-07-04  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.2.12.
	* Changed z39.60 search event loop in an attemp to fix some intermittent freezes.

2007-06-26  Robby Stephenson  <robby@periapsis.org>

	* Changed Quick Filter to split text on white space and do an AND search.
	* Bumped automake requirement to version 1.8 or later for macro to work.
	* Fixed HTML export to not rewrite file location for files referenced in the XSL file which don't exist.
	* Fixed Column View report to sort numerically when needed.
	* Fixed Date fields to suppress empty date values.
	* Fixed Date comparisons to work for single digits, patch from
Jake Maciejewski.
	* Fixed Fields Dialog to show warnings when clicking Ok.

2007-06-22  Robby Stephenson  <robby@periapsis.org>

	* Added '\%' to bibtex translation table for comment escaping.

2007-05-30  Robby Stephenson  <robby@periapsis.org>

	* Fixed potential recursion bug for dependent fields.

2007-05-26  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug that didn't write image size options when printing.

2007-05-09  Robby Stephenson  <robby@periapsis.org>

	* Added Turkish translation, thanks to Ali Isingor.

2007-05-08  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.2.11.

2007-05-06  Robby Stephenson  <robby@periapsis.org>

	* Improved file saving performance by caching image info on load.

2007-05-04  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug that lost some images when loading directly from XML.

2007-04-13  Robby Stephenson  <robby@periapsis.org>

	* Fixed sorting for Dependent fields to match on subfields.

2007-04-12  Robby Stephenson  <robby@periapsis.org>

	* Fixed BibteXML export to include author.
	* Fixed book collection conversion to bibliography to set entry type.

2007-04-10  Robby Stephenson  <robby@periapsis.org>

	* Updated IMDb search for director and writer.
	* Fixed CDDB lookup on OpenBSD, patch from Marc Espie.

2007-04-07  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.2.10.

2007-04-03  Robby Stephenson  <robby@periapsis.org>

	* Improved accuracy and comprehensiveness of merging collections.
	* Changed collection merge to concatenate paragraph fields.
	* Fixed bug that hid some field groups after undoing append collection.

2007-04-01  Robby Stephenson  <robby@periapsis.org>

	* Added Blu-ray and HD DVD to video formats.

2007-03-31  Robby Stephenson  <robby@periapsis.org>

	* Updated ibs.it searching.
	* Fixed searching to replace all HTML entities.
	* Fixed character encoding for Alexandria import.

2007-03-29  Robby Stephenson  <robby@periapsis.org>

	* Updated Amazon API to 2007-02-22.
	* Fixed error handling for ISBN-13 searches.
	* Fixed bug that showed "ISBN Not Found" dialog in error.

2007-03-27  Robby Stephenson  <robby@periapsis.org>

	* Cleaned-up up ONIX export a bit.
	* Fixed Alexandria export.
	* Fixed importing covers from Alexandria.

2007-03-24  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug that caused some amazon results to be hidden when repeating a search.

2007-03-20  Robby Stephenson  <robby@periapsis.org>

	* Fixed hanging bug when stopping a z39.50 search.

2007-03-14  Robby Stephenson  <robby@periapsis.org>

	* Fixed crashing bug when undoing a collection import or replacement.

2007-03-01  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.2.9.

2007-02-25  Robby Stephenson  <robby@periapsis.org>

	* Relaxed MODS processing to allow any result with typeOfResource="text"
	* Fixed bug with adding space after commas in edit widget.
	* Fixed bug with formatting of dependent fields always being capitalized.

2007-02-20  Robby Stephenson  <robby@periapsis.org>

	* Updated IMDb parsing for alternative titles and certifications.

2007-02-06  Robby Stephenson  <robby@periapsis.org>

	* Fixed sorting for rating groups with rating = 10.

2007-02-03  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.2.8.

2007-01-22  Robby Stephenson  <robby@periapsis.org>

	* Updated CDDB import to grab extd data as comments, and category as keyword.

2007-01-21  Robby Stephenson  <robby@periapsis.org>

	* Updated audio file importer to take disc number into account for mp3, ogg, and flac files.

2007-01-13  Robby Stephenson  <robby@periapsis.org>

	* Changed IMDB rating to allow float values.
	* Fixed compile error for z3950 connection, patch from Markus Brueffer.

2007-01-04  Robby Stephenson  <robby@periapsis.org>

	* Fixed cleanup for deleting scripts installed from newstuff.

2007-01-03  Robby Stephenson  <robby@periapsis.org>

	* Fixed busy cursor hanging in newstuff download dialog.

2006-12-21  Robby Stephenson  <robby@periapsis.org>

	* Fixed "ISBN Not Found" dialog to have selectable text.

2006-12-19  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with comparing relative URLs for merging file catalogs.

2006-12-17  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with some results in z39.50 search not showing up,
	due to search events getting processed out of order.

2006-12-07  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with secondary and tertiary sorting.

2006-12-06  Robby Stephenson  <robby@periapsis.org>

	* Bumped the Amazon ECS version to 2006-11-30.
	* Updated Amazon search to allow ISBN-13 values.
	* Fixed bug with saving URLs without the protocol.
	* Changed entry comparison for files to match only on URL value.
	* Released Tellico 1.2.7.

2006-12-04  Robby Stephenson  <robby@periapsis.org>

	* Improved performance for copying and deleting multiple entries.

2006-11-30  Robby Stephenson  <robby@periapsis.org>

	* Updated sorting to take title articles into account.

2006-11-29  Robby Stephenson  <robby@periapsis.org>

	* Added ISBN hyphenation rules for German, Czech, and Dutch.
	* Fixed bug that caused image loss when loading from data file.

2006-11-10  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.2.6.

2006-11-09  Robby Stephenson  <robby@periapsis.org>

	* Improved TV show matching for IMDB.

2006-11-05  Robby Stephenson  <robby@periapsis.org>

	* Fixed crashing bug in ProgressItem, reported by Izaak Branderhorst.

2006-11-03  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.2.5.

2006-11-01  Robby Stephenson  <robby@periapsis.org>

	* Fixed another bug with over-writing images on entry update.

2006-10-24  Robby Stephenson  <robby@periapsis.org>

	* Updated yahoo audio search webservice url.

2006-10-18  Robby Stephenson  <robby@periapsis.org>

	* Added warning when importing CSV without assigning any fields.
	* Updated allocine script (v 0.3), from Mathias Monnerville.

2006-10-16  Robby Stephenson  <robby@periapsis.org>

	* Added board game collection, patch from Steve Beattie.
	* Added script for searching boardgamegeek.com, patch from Steve Beattie.

2006-10-15  Robby Stephenson  <robby@periapsis.org>

	* Branched 1.2.x series.
	* Fixed encoding bug with allocine.fr script.

2006-10-14  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.2.4.

2006-10-12  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with overwriting images when updating entries.

2006-10-11  Robby Stephenson  <robby@periapsis.org>

	* Improved performance on loading and unloading.
	* Changed Nintendo 'Revolution' to 'Wii'.

2006-10-05  Robby Stephenson  <robby@periapsis.org>

	* Fixed off-by-one error in file listing volume name reader.
	* Update allocine fetcher.

2006-09-25  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with fetch dialog showing all sources, instead of just relevant ones.

2006-09-24  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.2.3.

2006-09-20  Robby Stephenson  <robby@periapsis.org>

	* Added button to search dialog to get additional results.

2006-09-14  Robby Stephenson  <robby@periapsis.org>

	* Updated to work with KDE 3.3.1 or later.

2006-09-09  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with HTML export not including tellico2html.js.

2006-09-07  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug that could cause loss of images.
	* Fixed URL output in Image List report.
	* Released Tellico 1.2.2.

2006-09-06  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.2.1.

2006-09-05  Robby Stephenson  <robby@periapsis.org>

	* Fixed CDDB cache importer to always assume utf-8, as in libkcddb.
	* Changed bibtex exporter to add braces or quotes around url fields.

2006-09-04  Robby Stephenson  <robby@periapsis.org>

	* Fixed infinite loop in file listing importer.
	* Increased default image cache size to 10 meg.
	* Reworked image loading to avoid reloading large images as much as possible.

2006-09-02  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with CDDB not working (always using debug for Pink Floyd!)

2006-09-01  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with completion not working in filter dialog.
	* Fixed bug with template image gradients not getting updated properly.

2006-08-31  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.2.

2006-08-30  Robby Stephenson  <robby@periapsis.org>

	* Fixed crashing bug when using right-click in list view.

2006-08-16  Robby Stephenson  <robby@periapsis.org>

	* Added Abstract and Keywords to default fields for bibliographies.

2006-08-15  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.2-pre3.

2006-08-09  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.2-pre2.

2006-08-07  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with merging fields in CSV importer.

2006-08-06  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.2-pre1.

2006-08-06  Robby Stephenson  <robby@periapsis.org>

	* Added "next" and "prev" buttons to entry editor.

2006-08-04  Robby Stephenson  <robby@periapsis.org>

	* Changed HTML export to use libxml2 instead of KHTML for parsing. That should fix the "all text on one line" problem.
	* Bumped minimum libxml2 verstion to 2.6.0 or greater.

2006-07-30  Robby Stephenson  <robby@periapsis.org>

	* Added bundled scripts for allocine.fr, Spanish Minstry of Culture, and Dark Horse Comics, all from Mathias Monnerville.

2005-11-13  Robby Stephenson  <robby@periapsis.org>

	* Bumped minimum KDE version to 3.3.

2006-07-18  Robby Stephenson  <robby@periapsis.org>

	* Added illustrator field to MODS translator.

2006-07-13  Robby Stephenson  <robby@periapsis.org>

	* Changed document saving to remember what format (Zip or XML) was opened, and save the file in the same format.

2006-07-04  Robby Stephenson  <robby@periapsis.org>

	* Updated sorting in HTML export to be locale-aware.
	* Added auto-completion to filter dialog.

2006-06-30  Robby Stephenson  <robby@periapsis.org>

	* Improved ISBN-13 compliance.

2006-06-24  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with relative url links in template.

2006-06-22  Robby Stephenson  <robby@periapsis.org>

	* Fixed memory leak in image handling.

2006-06-16  Robby Stephenson  <robby@periapsis.org>

	* Changed IMDb and Amazon to always use iso-8859-1 encoding for URL.

2006-06-12  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with HTML export and MSIE.

2006-06-11  Robby Stephenson  <robby@periapsis.org>

	* Added date stamp to all report templates.

2006-06-07  Robby Stephenson  <robby@periapsis.org>

	* Fixed IMDb bug that hid partial name matches for duplicate names.
	* Implemented workaround for NetAccess::download() that doesn't show download progress info.

2006-06-03  Robby Stephenson  <robby@periapsis.org>

	* Added validator for unmodified CueCat bar code reader.

2006-05-07  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.1.6.

2006-05-04  Regis Boudin

	* Added French documentation.

2006-05-04  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug that prevented some images from being written to data directory.

2006-04-22  Robby Stephenson  <robby@periapsis.org>

	* Add font and color config to templates.

2006-04-19  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with multiple ISBN search for z29.50.
	* Fixed "disappearing paragraph" bug in Fancy template.
	* Fixed name order for IBS searches.
	* Released Tellico 1.1.5.

2006-04-12  Robby Stephenson  <robby@periapsis.org>

	* Added Xbox 360, Revolution and Playstation3 to game collection.

2006-04-11  Robby Stephenson  <robby@periapsis.org>

	* Added view config saving for custom collections based on URL.
	* Fixed crashing bug when deleting and re-adding fields by same name.
	* Fixed bug with HTML decoding in IMDb plot summary.

2006-04-10  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug that re-added default fields when adding search results.

2006-04-07  Robby Stephenson  <robby@periapsis.org>

	* Added OS check (linux only) for enabling cd-text support.

2006-04-06  Robby Stephenson  <robby@periapsis.org>

	* Updated Spanish, thanks to Alejandro Hamann and Quique.
	* Fixed bug with writing temporary files, even when using app data dir.

2006-04-03  Robby Stephenson  <robby@periapsis.org>

	* Improved PubMed fetcher to grab URL links.

2006-04-02  Robby Stephenson  <robby@periapsis.org>

	* Changed grouping list to be sorted alphabetically.
	* Fixed OpenOffice.org plugin build for OOo SDK 2.0.2.
	* Released Tellico 1.1.4.

2006-03-29  Robby Stephenson  <robby@periapsis.org>

	* Added referrer to IBS fetcher so images get downloaded.

2006-03-27  Robby Stephenson  <robby@periapsis.org>

	* Changed XSL templates to output valid HTML 4.01 Strict, patch from Karl Ove Hufthammer.

2006-03-25  Robby Stephenson  <robby@periapsis.org>

	* Added button for installing new templates.

2006-03-24  Robby Stephenson  <robby@periapsis.org>

	* Added context menu item in table widget for clearing table.

2006-03-23  Robby Stephenson  <robby@periapsis.org>

	* Added template preview button in configuration dialog.
	* Added field for relative folder path to file catalog listing.
	* Fixed bug with incorrectly setting document modified when loading images.
	* Fixed bug with loading loans for entries with non-consecutive ids.
	* Fixed bug that prevented XSLT files with spaces or other non-encoded characters from being opened.
	* Fixed bug that caused crashes when changing grouping options
	for some fields.

2006-03-15  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug that prevented files saved with versions < 0.8 from
	being opened.

2006-03-12  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.1.3.

2006-03-10  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with comic book template not showing up in a couple of
	places in the GUI.
	* Updated MARC2MODS3 stylesheet to MODS 3.1 from LoC.
	* Added preset z39.50 server list.

2006-03-09  Robby Stephenson  <robby@periapsis.org>

	* Added isbndb.com fetcher.
	* Fixed z39.50 search to use proper encoding for search terms.

2006-03-07  Robby Stephenson  <robby@periapsis.org>

	* Changed ISO 5426 converter to grab diaeresis instead of umlaut.

2006-03-05  Robby Stephenson  <robby@periapsis.org>

	* Added patch from Karl Ove Hufthammer, for lang-specific sorting.
	* Released Tellico 1.1.2.

2006-03-04  Robby Stephenson  <robby@periapsis.org>

	* Fixed file save permissions to remember group.
	* Fixed backup file permissions.

2006-03-02  Robby Stephenson  <robby@periapsis.org>

	* Fixed mess with shared pointers holding shared pointers holding
	shared pointers...
	* Fixed button size in HTML export.

2006-02-28  Robby Stephenson  <robby@periapsis.org>

	* Updated fr.po, thanks to Mathias Monnerville.
	* Fixed GCfilms importer to read running time correctly.
	* Use IMDb url for updating if available.

2006-02-27  Robby Stephenson  <robby@periapsis.org>

	* Added pt_BR, thanks to Claudio Felix.

2006-02-23  Robby Stephenson  <robby@periapsis.org>

	* Added dialog for importing new data sources.

 2006-02-22  Robby Stephenson  <robby@periapsis.org>

	* Fixed HTML export to always use relative links.
	* Fixed Fancy template column widths, patch from Karl Ove Hufthammer.

2006-02-20  Robby Stephenson  <robby@periapsis.org>

	* Add Ant Movie Catalog file importer.

2006-02-19  Robby Stephenson  <robby@periapsis.org>

	* Allow data sources to overwrite current data when updating.

2006-02-18  Robby Stephenson  <robby@periapsis.org>

	* Added dialog to choose from multiple CDDB lookup responses.
	* Fields can have default values.
	* Changed default IMDB server to akas.imdb.com.

2006-02-18  Robby Stephenson  <robby@periapsis.org>

	* Fixed cleanup when oowriter is closed.
	* Fixed character encoding for IMDB searches.
	* Released Tellico 1.1.1.
	* Branched Tellico 1.1.x.

2006-02-17  Robby Stephenson  <robby@periapsis.org>

	* Fixed image linking in HTML export.
	* Updated admin/ and Makefile.am for recent KDE updates.
	* Changed installation directory of .desktop file to use xdg_appsdir.

2006-02-14  Robby Stephenson  <robby@periapsis.org>

	* Fixed templates to scale images down to max of 150x200.

2006-02-08  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with Video template not showing nationality.
	* Added ISO 5426 and ISO 6937 character set converters, adapted from MARC4J;

2006-02-07  Robby Stephenson  <robby@periapsis.org>

	* Dual-licensed the documentation under the GFDL and the FreeBSD
	Documentation License.
	* Released Tellico 1.1.

2006-02-04  Robby Stephenson  <robby@periapsis.org>

	* Added track length to CDDB lookup result.

2006-02-01  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with not deleting some temporary files.

2006-01-29  Robby Stephenson  <robby@periapsis.org>

	* Updated bibtex-translation.xml, thanks to Norbert Nemec.
	* Updated es.po, thanks to Alejandro Hamann.

2006-01-25  Robby Stephenson  <robby@periapsis.org>

	* Relaxed MODS importer to look for publisher, isbn, or lccn to
	determine the entry is a book. Previously, a typeOfResource="text"
	was required.
	* Allowed z39.50 source to ask for MODS directly.
	* Added message box for stderr output from scripts.
	* Added simple GRS-1 importer for z39.50 fetcher.

2006-01-24  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with potential data los for saving image files after
	changing config option.
	* Released Tellico 1.1pre3.

2006-01-22  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.1pre2.
	* Improved entry views with some graphics, a la amaroK.

2006-01-21  Robby Stephenson  <robby@periapsis.org>

	* Added drag-n-drop from Mozilla Firefox to image widget.
	* Changed default behavior to include images in data file, and
	added a config option.
	* Added a message box warning about performance when the user
	first opens a file with more than 100 images.

2006-01-20  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with parsing arguments to external data source scripts.

2006-01-19  Robby Stephenson  <robby@periapsis.org>

	* AnimneNfo.com source added by default, and IBS.it added if
	Italian is in the user's language list.
	* Alexandria exporter includes publishing year now.

2006-01-17  Robby Stephenson  <robby@periapsis.org>

	* Alexandria importer includes publishing year now.

2006-01-15  Robby Stephenson  <robby@periapsis.org>

	* Changed file saving to be smart about which images need written
	to cache. Should improve save-time.
	* Fixed bug with undo/redo not correctly reverting to old values.

2006-01-14  Robby Stephenson  <robby@periapsis.org>

	* Added Russian translation, from Artur Kalimullin.

2006-01-12  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.1pre1.
	* Added/updated SRU fetcher.

2006-01-11  Robby Stephenson  <robby@periapsis.org>

	* Added Internet Bookshop (ibs.it)  book source.

2006-01-10  Robby Stephenson  <robby@periapsis.org>

	* Added AnimeNfo.com search source.

2006-01-09  Robby Stephenson  <robby@periapsis.org>

	* Fixed Debian bug #346414 in hu.po.

2006-01-08  Robby Stephenson  <robby@periapsis.org>

	* Changed image loader to read and write images inside the Tellico
	shared directory to speed up loading, etc.

2005-12-06  Robby Stephenson  <robby@periapsis.org>

	* Merged OpenOffice.org interop. Requires SDK for compilation.

2006-01-05  Robby Stephenson  <robby@periapsis.org>

	* Added Yahoo! Album Search source.
	* Added Tri-Column video report template.

2005-12-15  Robby Stephenson  <robby@periapsis.org>

	* Expand external app fetcher to include any of the fetch keys.

2005-12-08  Robby Stephenson  <robby@periapsis.org>

	* Increased max table columns to 10.

2005-12-07  Robby Stephenson  <robby@periapsis.org>

	* Updated Amazon fetcher to allow selecting keywords or not.

2005-12-05  Robby Stephenson  <robby@periapsis.org>

	* Changed bibtex behavior to not add braces around capital letters.

2005-11-29  Robby Stephenson  <robby@periapsis.org>

	* Moved no-capitalization list to config dialog.

2005-11-28  Robby Stephenson  <robby@periapsis.org>

	* Updated Hungarian, from Csaba Zakarias.

2005-11-17  Robby Stephenson  <robby@periapsis.org>

	* Added separate UPC searching for Amazon.

2005-11-16  Robby Stephenson  <robby@periapsis.org>

	* Added CD-Text reading to FreeDBImporter, plus option to disable
	compilation in case of platform issues.
	* Move to Amazon ECS version 4.

2005-11-15  Robby Stephenson  <robby@periapsis.org>

	* Added IMDB rating field to fetcher.

2005-11-13  Robby Stephenson  <robby@periapsis.org>

	* Bumped minimum KDE version to 3.2 and minimum QT version to 3.2.

2005-11-10  Robby Stephenson  <robby@periapsis.org>

	* Custom data source fields are now configurable.

2005-11-07  Robby Stephenson  <robby@periapsis.org>

	* Made size of IMDb cast list configurable.
	* Broke out cite actions into submenu, and added copying bibtex to clipboard.

2005-11-03  Robby Stephenson  <robby@periapsis.org>

	* Bumped XML syntax version to 9 to include file catalog and
	changing default music collection track field to 3 columns.

2005-11-01  Robby Stephenson  <robby@periapsis.org>

	* Fixed compilation on GNU/kFreeBSD, Debian bug #336949, patch
	from Aurelien Jarno.

2005-10-29  Robby Stephenson  <robby@periapsis.org>

	* Improved table fields to show column titles.
	* Changed buttons to a right-click popup.

2005-10-27  Robby Stephenson  <robby@periapsis.org>

	* Improved audio file metadata importer to include track length as
	an additional column in the track field.

2005-10-26  Robby Stephenson  <robby@periapsis.org>

	* The audio file importer now checks for track numbers in the file
	name, patch from Andras Mantia.

2005-10-19  Robby Stephenson  <robby@periapsis.org>

	* Added a string store to reduce memory consumption.

2005-10-17  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.0.3.

2005-10-15  Robby Stephenson  <robby@periapsis.org>

	* Added buttons for inserting and removing rows from a table.

2005-10-13  Robby Stephenson  <robby@periapsis.org>

	* Enabled auto-updating for certain entries and data sources.

2005-10-12  Robby Stephenson  <robby@periapsis.org>

	* Updated it.po, from Lorenzo Novaro.

2005-10-11  Robby Stephenson  <robby@periapsis.org>

	* New and modified entries now show labels indicating so.

2005-10-08  Robby Stephenson  <robby@periapsis.org>

	* Improved status bar.

2005-10-07  Robby Stephenson  <robby@periapsis.org>

	* Updated CalendarHandler to compile with KDEPIM 3.5.

2005-10-06  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with bibtex macro names always being imported in lowercase.

2005-10-03  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with initialization, patch from Marco Clemencic.

2005-10-02  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.0.2.
	* Updated IMDB fetcher.

2005-09-25  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with auto-detecting MARC encoding for z39.50 import.

2005-09-22  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with CSV importer not properly parsing some non-CSV files.
	* Fixed bug with entry selection in icon view.
	* Added GCfilms exporter;

2005-09-21  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with showing invalid loan due date.
	* Added GCfilms importer.
	* Added IMDB link when fetching info from IMDB.
	* limited number of cast results form IMDB to 20;

2005-09-20  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.0.1.

2005-09-19  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with loading utf-8 encoded bibtex files.

2005-09-18  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with variable icon sizes in config dialog.

2005-09-16  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug for merging field properties, which mostly showed up
	as double-colons in music collection tracks.
	* Fixed crashing bug with modifying filters and cancelling.

2005-09-11  Robby Stephenson  <robby@periapsis.org>

	* Added Norwegian Nynorsk translation from Karl Ove Hufthammer.

2005-09-10  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug in audio file metadata import that was overwriting
	track listings incorrectly.
	* Fixed crashing bug for selecting groups and entries in group view.

2005-09-09  Robby Stephenson  <robby@periapsis.org>

	* Released Tellico 1.0.

2005-09-05  Robby Stephenson  <robby@periapsis.org>

	* Added Polish translaion from Marek Janukowicz.

2005-08-22  Robby Stephenson  <robby@periapsis.org>

	* Fixed bug with external application fetcher not reading path
	entries correctly.
	* Updated Spanish translation, thanks to Brian Hughes.

2005-08-21  Robby Stephenson  <robby@periapsis.org>

	* Updated Swedish, thanks to Peter Landgren.
	* Added patch from Nix to dynamically resize table columns.

2005-08-20  Robby Stephenson  <robby@periapsis.org>

        * Released Tellico 1.0pre2.

2005-08-14  Robby Stephenson  <robby@periapsis.org>

	* Changed audio file metadata to ignore case when doing album
	comparisons.
	* Changed collection loader to better compensate for old rating
	fields.
	* Changed AddEntry command to act on multiple entries.

2005-08-11  Robby Stephenson  <robby@periapsis.org>

	* Updated Dutch translation, thanks to Fred Marchee.
	* Updated Fininsh translation, thanks to Teuvo Eloranta.

2005-08-06  Robby Stephenson  <robby@periapsis.org>

        * Released Tellico 1.0pre1.

2005-08-04  Robby Stephenson  <robby@periapsis.org>

        * When exporting HTML, copy any relative images, etc.

2005-08-01  Robby Stephenson  <robby@periapsis.org>

        * Strip HTML tags from paragraph export to PilotDB.

2005-07-30  Robby Stephenson  <robby@periapsis.org>

        * Make the amazon importer default to medium images instead of none.

2005-07-28  Robby Stephenson  <robby@periapsis.org>

        * Make the 'Fancy' template default.

2005-07-01  Robby Stephenson  <robby@periapsis.org>

        * Released Tellico 0.13.8.

2005-06-30  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with CSV import parsing.

2005-06-28  Robby Stephenson  <robby@periapsis.org>

        * Added license exception for linking to OpenSSL.

2005-06-25  Robby Stephenson  <robby@periapsis.org>

        * Added a status message timeout for main window and fetch dialog.

2005-06-23  Robby Stephenson  <robby@periapsis.org>

        * Fixed crashing bug for fields with empty categories.

2005-06-22  Robby Stephenson  <robby@periapsis.org>

        * Added initial Catalan translation from David Majà Martínez.

2005-06-20  Robby Stephenson  <robby@periapsis.org>

        * Added fetcher for reading output from an external application.
        * Fixed bug with wrong icon size for entry action.

2005-06-17  Robby Stephenson  <robby@periapsis.org>

        * Added video game collection type.

2005-06-12  Robby Stephenson  <robby@periapsis.org>

        * Added capability for recursively reading all CDDB cache files,
        based on patch from Marco Hofmann.

2005-06-08  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with file extension defaulting to .bc.

2005-06-02  Robby Stephenson  <robby@periapsis.org>

        * Changed Table field to allow up to 5 columns. Deprecated Table2 type.

2005-06-01  Robby Stephenson  <robby@periapsis.org>

        * Added Rating field type.

2005-05-31  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with grouping by checkbox fields.

2005-05-30  Robby Stephenson  <robby@periapsis.org>

        * Updated Norwegian translation.
        * Added Unimarc support to z39.50 importer.

2005-05-25  Robby Stephenson  <robby@periapsis.org>

        * Released Tellico 0.13.7.

2005-05-25  Robby Stephenson  <robby@periapsis.org>

        * Changed bibtex exporter to put crossref'd entries at the
        end. Only one level of crossref is allowed.

2005-05-19  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with changing between rating and normal choice field.

2005-05-18  Robby Stephenson  <robby@periapsis.org>

        * Updated Dutch translation, thanks to Fred Marchee.

2005-05-13  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with clearing table fields.
        * Added ONIX export, borrowing format from Alexandria.

2005-05-10  Robby Stephenson  <robby@periapsis.org>

        * Changed contact email to tellico-users mailing list.

2005-04-27  Robby Stephenson  <robby@periapsis.org>

        * Fixed corner case xml element naming for new fields.
        * Fixed typo on allowed and description in fields editor.

2005-04-10  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with having fields named after xml elements, like
        entry or field.

2005-04-09  Robby Stephenson  <robby@periapsis.org>

        * Added a PubMed search source, thanks to an  XSL stylesheet from
        Michaël Zugaro.

2005-04-08  Robby Stephenson  <robby@periapsis.org>

        * Added some accelerators, thanks to patch from Felix Berger.

2005-04-07  Robby Stephenson  <robby@periapsis.org>

        * Added Undo/Redo framework.

2005-04-03  Robby Stephenson  <robby@periapsis.org>

        * Released Tellico 0.13.6.

2005-03-29  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with adding multiple entries from fetch dialog not
        added additional images.
        * Added Portuguese translation, thanks to Ligia Moreira.

2005-03-23  Robby Stephenson  <robby@periapsis.org>

        * Changed internet search dialog to clear results when running a
        new search.
        * Changed selection so that hidden items are not selected.

2005-03-16  Robby Stephenson  <robby@periapsis.org>

        * Added shortcuts for entry grouping and filter.

2005-03-08  Robby Stephenson  <robby@periapsis.org>

        * Released Tellico 0.13.5.

2005-03-02  Robby Stephenson  <robby@periapsis.org>

        * Updated German translation, thanks to Gerrit Albrecht.

2005-03-01  Robby Stephenson  <robby@periapsis.org>

        * Fixed crash for some amazon searches.
        * Fixed character encoding for Japanese amazon searches.

2005-02-27  Robby Stephenson  <robby@periapsis.org>

        * Released Tellico 0.13.4

2005-02-25  Robby Stephenson  <robby@periapsis.org>

        * Added a configure param to disable cddb even if kcddb headers found.

2005-02-24  Robby Stephenson  <robby@periapsis.org>

        * Updated bibtex translation map, fixing some bugs.
        * Fixed bug with Amazon search character encoding.
        * Changed Bibtex handler to convert {MIT} to MIT, importing and exporting.

2005-02-23  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with grouping being enabled for paragraphs.

2005-02-17  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with exporting empty groups in HTML.
        * Added capability for adding loan due notice to KOrganizer calendar.

2005-02-14  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with RIS importer messing up entry types.

2005-02-10  Robby Stephenson  <robby@periapsis.org>

        * Released Tellico 0.13.3.

2005-02-08  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug in configure script for disabling amazon, thanks to
        Markus Brueffer.
        * Fixed bug with spin boxes not enabling Apply button in Config Dialog.
        * Fixed bug with audio file metadata import for compilations.

2005-02-05  Robby Stephenson  <robby@periapsis.org>

        * Update some bibtex character translations.
        * Released Tellico 0.13.2.

2005-02-03  Robby Stephenson  <robby@periapsis.org>

        * Updated IMDb fetcher.
        * Updated bibtex import and export to recognize {X} constructions.
        * Fixed bug with locale encoding for HTML export.
        * Changed statusbar to show tooltips for menu items.

2005-02-02  Robby Stephenson  <robby@periapsis.org>

        * Added France and Canada locales to Amazon.com sources.

2005-02-01  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with importing RIS with no final space.
        * Fixed Debian bug #290467 for gcc 4.0 compilation, thanks to Regis Boudin.

2005-01-28  Robby Stephenson  <robby@periapsis.org>

        * Removed find dialog since the filter works so much better.

2005-01-27  Robby Stephenson  <robby@periapsis.org>

        * Removed option for toggling entry count show in group view.
        * Added check-out for lending items with view.

2005-01-25  Robby Stephenson  <robby@periapsis.org>

        * Fixed Debian bug #292165 with bibtex export of umlauts.

2005-01-21  Robby Stephenson  <robby@periapsis.org>

        * Updated Swedish translation, thanks to Peter Landgren.

2005-01-20  Robby Stephenson  <robby@periapsis.org>

        * Added saved filters with view.
        * Changed IMDb cast page to decode HTML entities, thanks to Rafa Kortes.

2005-01-12  Robby Stephenson  <robby@periapsis.org>

        * Changed double click in the Internet Search dialog to add the entry.

2005-01-11  Robby Stephenson  <robby@periapsis.org>

        * Added collection report dialog.

2005-01-06  Robby Stephenson  <robby@periapsis.org>

        * Improved file loading efficiency somewhat.

2005-01-05  Robby Stephenson  <robby@periapsis.org>

        * Changed image loading to be on-demand for local zip files.

2004-12-19  Robby Stephenson  <robby@periapsis.org>

        * Added DCOP interface for exporting files.
        * Added vertical line between columns in list view.
        * Translated xsl entry template names.

2004-12-18  Robby Stephenson  <robby@periapsis.org>

        * Added DCOP interface for importing files.

2004-12-17  Robby Stephenson  <robby@periapsis.org>

        * Branched to 0.13.x.
        * Updated audio file importer to use "(Various)" for multi-artist albums.

2004-12-11  Robby Stephenson  <robby@periapsis.org>

        * Fixed a bug in PilotDB exporting, I think.
        * Added PilotDB export support for Date fields.
        * Released Tellico 0.13.1.

2004-12-10  Robby Stephenson  <robby@periapsis.org>

        * Fixed some date formatting.

2004-12-09  Robby Stephenson  <robby@periapsis.org>

        * Fixed auto bibtex key generation for empty keys.

2004-12-08  Robby Stephenson  <robby@periapsis.org>

        * Fixed Entry View to react to changes in the color palette.

2004-12-06  Robby Stephenson  <robby@periapsis.org>

        * Increased maz z39.50 port to 999999.
        * Fixed some KMAX, KMIN template issues with casts.
        * Added column shading for detailed view, per KDE bug 59791.

2004-12-03  Robby Stephenson  <robby@periapsis.org>

        * Updated Finnish translation, thanks to Tuevo Eloranta.
        * Updated Norwegian translation, thanks to Leif Mathis Gaup.
        * Fixed *BSD compile, with patch from Markus Brüffer.

2004-12-01  Robby Stephenson  <robby@periapsis.org>

        * Enabled relative URLs in URL fields.
        * Disabled running executables in URL fields.
        * Released Tellico 0.13.

2004-11-30  Robby Stephenson  <robby@periapsis.org>

        * Removed all the KStaticDeleter references. Don't get fancy.
        * Updated title sorts to work for articles ending with an
        apostrophe.
        * Updated audio file metadata importer to recognize albums with
        multiple artists and change track list accordingly.
        * Fixed CSV importer to properly find pre-existing, non-default fields.

2004-11-25  Robby Stephenson  <robby@periapsis.org>

        * Added stars for up to a 10 rating.
        * Added checkmark in entry templates for bool fields.

2004-11-20  Robby Stephenson  <robby@periapsis.org>

        * Added Spanish tips translation from ventolera.

2004-11-19  Robby Stephenson  <robby@periapsis.org>

        * Released Tellico 0.13pre3.

2004-11-18  Robby Stephenson  <robby@periapsis.org>

        * Added command-line options for loading bibtex, MODS, and RIS files.

2004-11-17  Robby Stephenson  <robby@periapsis.org>

        * Updated Amazon fetcher to work with more than 10 ISBN.
        * Updated z39.50 fetcher to work with more than 10 ISBN.
        * Added language lookup table to mods2tellico.xsl.
        * Updated lyxpipe cite to auto-generate bibtex key if necessary.
        * Added "load ISBN list from file" to search dialog.

2004-11-14  Robby Stephenson  <robby@periapsis.org>

        * Released Tellico 0.13pre2.

2004-11-12  Robby Stephenson  <robby@periapsis.org>

        * Improved printing speed.
        * Added user and password config for z39.50.
        * Added address field to default bibliography.

2004-11-10  Robby Stephenson  <robby@periapsis.org>

        * Updated French translation, thanks to Regis Boudin.
        * Fixed layout bug in config dialog.

2004-11-09  Robby Stephenson  <robby@periapsis.org>

        * Added fix similar to kde bug 86188 for including linux/cdrom.h.
        * Changed latex cite to separate multiple cites with ", " instead
        of "," to better match pybliographer.

2004-11-08  Robby Stephenson  <robby@periapsis.org>

        * Added host config to IMDB.
        * Added image download option to Amazon and IMDB.
        * Updated kde-common/admin/cvs.sh to allow other automake versions.
        * Released Tellico 0.13pre1.

2004-11-07  Robby Stephenson  <robby@periapsis.org>

        * Added character set config to z39.50.
        * Changed main document to tellico.xml.

2004-10-31  Robby Stephenson  <robby@periapsis.org>

        * Updated initial minimum width to 600 pixels.
        * Added group selection entry to collection menu.
        * Updated Find Dialog to remove FromBeginning (didn't make sense)

2004-10-23  Robby Stephenson  <robby@periapsis.org>

        * Updated HTML export and printing stylesheets a bit.

2004-10-18  Robby Stephenson  <robby@periapsis.org>

        * Added patch to compile on g++ 2.95 from Markus Brueffer.

2004-10-11  Robby Stephenson  <robby@periapsis.org>

        * Added patch from wwp to fix saving file on quit.

2004-10-02  Robby Stephenson  <robby@periapsis.org>

        * Added confirm message box when deleting an entry.

2004-09-23  Robby Stephenson  <robby@periapsis.org>

        * Changed default file textension to .tc.

2004-09-15  Robby Stephenson  <robby@periapsis.org>

        * Added Unrated certification to default video collection.

2004-09-14  Robby Stephenson  <robby@periapsis.org>

        * Renamed Bookcase to Tellico
        * Added IMDB fetcher.
        * Incremented DTD version to 7, changed root element to tellico.
        * Changed zip file to use maindoc.xml as do the KOffice files.

2004-09-10  Robby Stephenson  <robby@periapsis.org>

        * Added new icons from Virginie Quesnay.

2004-09-09  Robby Stephenson  <robby@periapsis.org>

        * Updated French translation, thanks to Regis Boudin.
        * Removed libcdda (cdparanoia) dependency, using cd-discid code
        instead.
        * Added rating widget in entry editor, using stars.

2004-09-07  Robby Stephenson  <robby@periapsis.org>

        * Really fixed gcc 2.95 compilation.
        * Added RIS importer.

2004-09-02  Robby Stephenson  <robby@periapsis.org>

        * Released Bookcase 0.11.

2004-09-01  Robby Stephenson  <robby@periapsis.org>

        * Added FreeDB importer.

2004-08-27  Robby Stephenson  <robby@periapsis.org>

        * Fixed compile on gcc 2.95.

2004-08-26  Robby Stephenson  <robby@periapsis.org>

        * Added Alexandria importer.
        * Added Alexandria exporter.

2004-08-25  Robby Stephenson  <robby@periapsis.org>

        * Updated Norwegian translation, thanks to Leif Mathis Gaup.
        * Read album covers from .directory files in audio file importer.

2004-08-24  Robby Stephenson  <robby@periapsis.org>

        * Added support for reading audio file meta-data.

2004-08-22  Robby Stephenson  <robby@periapsis.org>

        * Updated paragraph fields to remember line-breaks.
        * Released Bookcase 0.10.

2004-08-20  Robby Stephenson  <robby@periapsis.org>

        * Added HTML formatting to paragraphs in entry templates.
        * Updated German translation, thanks to Gerrit M. Albrecht.

2004-08-18  Robby Stephenson  <robby@periapsis.org>

        * Added Latin1Literal class to speed up string comparisons.
        * Added MODS import menu item.

2004-08-10  Robby Stephenson  <robby@periapsis.org>

        * Added "export selected entries only" option.

2004-08-09  Robby Stephenson  <robby@periapsis.org>

        * Fixed UI file location.
        * Released Bookcase 0.10pre2.

2004-08-08  Robby Stephenson  <robby@periapsis.org>

        * Released Bookcase 0.10pre1.
        * Added entry icon to fetch dialog button.

2004-08-03  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug for exporting HTML for entries with multiple titles.
        * Changed HTML export to put entry files in separate directory.
        * Added link to parent collection file for entry templates.

2004-08-01  Robby Stephenson  <robby@periapsis.org>

        * Updated French translation, thanks to Rui Nibau.
        * Changed to show a spinbox for single number values;

2004-07-30  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with capitalization of words split by dash or comma,
        and ending with apostrophes.

2004-07-13  Robby Stephenson  <robby@periapsis.org>

        * Fixed bugs with enabling apply/ok buttons in fields dialog for
        extended properties, and disappearing groups when renaming fields.

2004-07-02  Robby Stephenson  <robby@periapsis.org>

        * Added collection and group view in stack.

2004-06-26  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with copying selected entries.

2004-06-21  Robby Stephenson  <robby@periapsis.org>

        * Fixed gcc 3.4 compilation bug in src/translators/btparse/err.h

2004-06-07  Robby Stephenson  <robby@periapsis.org>

        * Update Norwegian translation, thanks to Leif Mathis Gaup.

2004-05-27  Robby Stephenson  <robby@periapsis.org>

        * Released Bookcase 0.9.3.
        * Updated italian translation, thanks to FaUsT.

2004-05-25  Robby Stephenson  <robby@periapsis.org>

        * Fixed crashing bug for exporting when no fields can be grouped.

2004-05-24  Robby Stephenson  <robby@periapsis.org>

        * Restructured ISBN code to get rid of some old cruft.
        * Added patch from Regis Boudin to add French ISBN formatting and
        remove old copyright restricted ISBN code.

2004-05-22  Robby Stephenson  <robby@periapsis.org>

        * Added entry group templates.

2004-05-19  Robby Stephenson  <robby@periapsis.org>

        * Changed focus to move to next entry when one is deleted.
        * Changed document loader to allow i18n attribute indicate translation.
        * Fixed bug with empty group names.

2004-05-17  Robby Stephenson  <robby@periapsis.org>

        * Released Bookcase 0.9.2.

2004-05-15  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with xslt import with libxml < 2.6.
        * Fixed bug with losing extended properties when cloning fields/

2004-05-10  Robby Stephenson  <robby@periapsis.org>

        * Added Amazon fetcher.
        * Added SRU Fetcher.

2004-05-07  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with XSLT importer.
        * Added MODS XSLT importer file.

2004-05-06  Robby Stephenson  <robby@periapsis.org>

        * Branched 0.9.x

2004-05-02  Robby Stephenson  <robby@periapsis.org>

        * Changed Fields Dialog to close when creating a new collection or opening one.
        * Removed GCJ/java checks from configure.
        * Released Bookcase 0.9.1

2004-04-30  Robby Stephenson  <robby@periapsis.org>

        * Fixed i18n extraction for UI and gettext extensions.
        * Removed Japanese translation because of encoding errors.
        * Updated CSV import to know about current fields when appending or merging

2004-04-29  Robby Stephenson  <robby@periapsis.org>

        * Updated German translation from Gerrit Albrecht.

2004-04-27  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with lyxpipe using LYXSRV insted of LYXCMD.
        * Changed quick filter to wait 200 ms before updating the filter.

2004-04-21  Robby Stephenson  <robby@periapsis.org>

        * Added wait cursor for file saving.
        * Fixed bug with created a double collection when failing to load the initial file.
        * Make sure column view updates when an image is cleared.

2004-04-18  Robby Stephenson  <robby@periapsis.org>

        * Released Bookcase 0.9.

2004-04-16  Robby Stephenson  <robby@periapsis.org>

        * Improved visibilty of image size in Fancy.xsl.
        * Updated Italian translation, thanks to FaUsT.
        * Updated Finnish translation, thanks to Teuvo.
        * Added hidden pref for pixmap size in detailed view.
        * Changed HTML exporter to use titles as filenames.

2004-04-13  Robby Stephenson  <robby@periapsis.org>

        * Added hidden preference for pilotdb export charset encoding.

2004-04-09  Robby Stephenson  <robby@periapsis.org>

        * Improved bibtex export to detect duplicates keys and add 'a'b,
        'b', etc.
        * Released Bookcase 0.9pre1

2004-03-26  Robby Stephenson  <robby@periapsis.org>

        * Updated printing and HTML export to include images.
        * Updated Detailed View to show images, too.

2004-03-25  Robby Stephenson  <robby@periapsis.org>

        * Updated Italian translation, thanks to FaUsT.
        * Changed toolbar icon for New Entry to collection icon on top of
        empty mime type.

2004-03-24  Robby Stephenson  <robby@periapsis.org>

        * Added menu item in group view for filtering on groups.
        * Added config options for image sizes in printout.

2004-03-22  Robby Stephenson  <robby@periapsis.org>

        * Fixed another bug with HTML export character encoding.
        * Added config panel for bibtex quotation style and lyxpipe location

2004-03-20  Robby Stephenson  <robby@periapsis.org>

        * Fixed Paragraph fields to properly signal modified in the Entry Editor.
        * Fixed crashing bug for fields with nothing but whitespace in the datafile.
        * Updated printing stylesheet so that images can be included.

2004-03-19  Robby Stephenson  <robby@periapsis.org>

        * Changed document opening so that if the first field has the name
        of "_default", all the default fields will be added.

2004-03-17  Robby Stephenson  <robby@periapsis.org>

        * Changed Dependent fields to allow grouping.
        * Changed Fields Dialog to allow changing the field types, in some
        limited cases.

2004-03-15  Robby Stephenson  <robby@periapsis.org>

        * Fixed crashing bug in PilotDB export with images.
        * Fixed bug with "other" delimiter freezing the app.

2004-03-13  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with trying to reopen Untitled after converting to a bibliography.
        * Added support for lyxpipe and citing entries in bibliography.

2004-03-12  Robby Stephenson  <robby@periapsis.org>

        * Changed to be more aggressive in creating URL fields on Bibtex import.

2004-03-10  Robby Stephenson  <robby@periapsis.org>

        * Added Compact and Fancy entry templates.
        * Released Bookcase 0.8.5.

2004-03-07  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug in Video template for when there's no Cast template.
        * Fixed bug with detecting old versions of gcc and vector::at.

2004-03-05  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with filter dialog layout and KDE 3.2.

2004-03-04  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with corrupt zip files when more than one entry
        references the same image.

2004-02-28  Robby Stephenson  <robby@periapsis.org>

        * Fixed the gcc 2.95 compile bug for sure.

2004-02-25  Robby Stephenson  <robby@periapsis.org>

        * Fixed crashing bug in Data::Entry::field().
        * Fixed XSLTHandler to work for URLs, so XSLT files can reference
        other files.

2004-02-22  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with HTML entities in XSLT stylesheet params.

2004-02-20  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with duplicate menu items in KDE 3.2.x.
        * Fixed bug to properly reorder categories when reordering fields.
        * Released Bookcase 0.8.4.

2004-02-19  Robby Stephenson  <robby@periapsis.org>

        * Fixed auto-capitalize and auto-format to take affect immediately.

2004-02-18  Robby Stephenson  <robby@periapsis.org>

        * Added Czech translation, thanks to Robert Kratky.

2004-02-17  Robby Stephenson  <robby@periapsis.org>

        * Fixed compilation issues for gcc 2.95 and FreeBSD.
        * Changed the Config Dialog to use a semi-colon to separated the articles, prefixes, and suffixes instead of a comma, for consistency. They're still saved in the config file with a comma, though, so old options should be fine.

2004-02-14  Robby Stephenson  <robby@periapsis.org>

        * Fixed problem when trying to reopen last file and getting error.
        * Added drag & drop support for the image widget.

2004-02-13  Robby Stephenson  <robby@periapsis.org>

        * Updated Estonian translation, from Toomas Nigola.
        * Changed to remember sorting config in group view.

2004-02-12  Robby Stephenson  <robby@periapsis.org>

        * Fixed crashing bug when renaming a single-category field.

2004-02-11  Robby Stephenson  <robby@periapsis.org>

        * Changed Entry Editor to redo page layout when deleting fields.
        * Added merge functionality when importing collections.
        * Fixed bug with exporting HTML in non-utf8.

2004-02-09  Robby Stephenson  <robby@periapsis.org>

        * Updated Spanish translation, thanks to Quique.
        * Added sorting by group count.

2004-02-07  Robby Stephenson  <robby@periapsis.org>

        * Added workaround for layout bug in Keramik style.

2004-02-04  Robby Stephenson  <robby@periapsis.org>

        * Fixed saving visible columns yet again.
        * Changed XSLT parser to prevent all network calls.
        * Fixed crashing bug when deleting a field.
        * Fixed compilation bug when using libxml > 2.6.0 but libxslt < 1.1.
        * Released Bookcase 0.8.3.

2004-02-04  Robby Stephenson  <robby@periapsis.org>

        * Fixed file truncation for file with some Unicode characters.
        * Released Bookcase 0.8.2.

2004-02-03  Robby Stephenson  <robby@periapsis.org>

        * Released Bookcase 0.8.1.

2004-02-02  Robby Stephenson  <robby@periapsis.org>

        * Added Album entry template.
        * Added Finnish translation, thanks to Teuvo Eloranta.
        * Added --with-xml-catalog configure option.

2004-01-30  Robby Stephenson  <robby@periapsis.org>

        * Fixed compile bug with src/Makefile.am and libxslt.
        * Fixed bug with $datadir param in Default entry template.
        * Added Video entry template.
        * Added EAN to ISBN conversion for 978 and 979 codes. Patch from Martijn Pieters.

2004-01-27  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with Select All not working.
        * Fixed some compilation issues.
        * Updated French translation from Rui Nibau.

2004-01-25  Robby Stephenson  <robby@periapsis.org>

        * Fixed DTD for new collections.
        * Updated some accel keys.
        * Changed Requires to KDE 3.1 or higher since KZip is used.
        * Released Bookcase 0.8.

2004-01-23  Robby Stephenson  <robby@periapsis.org>

        * Released Bookcase 0.8pre1

2004-01-22  Robby Stephenson  <robby@periapsis.org>

        * Added Finnish translation from Teuvo Eloranta.
        * Added "Export to XML" option since file format is Zip now.
        * Switched to new XML parser in libxml2 > 2.6.0

2004-01-13  Robby Stephenson  <robby@periapsis.org>

        * Added new Collection menu.

2004-01-09  Robby Stephenson  <robby@periapsis.org>

        * Changed entry method for bibtex string macros. Triple-clicking on list view items is stupid.

2004-01-08  Robby Stephenson  <robby@periapsis.org>

        * Added zip file format for collections with images.

2004-01-01  Robby Stephenson  <robby@periapsis.org>

        * Added cut, copy, and paste functions.
        * Added new entry and copy entry functions.
        * Added find previous, select all, and deselection functions.

2003-12-31  Robby Stephenson  <robby@periapsis.org>

        * Changed double clicking an entry to show the editor.
        * Moved entry edit widget to dialog box.

2003-12-13  Robby Stephenson  <robby@periapsis.org>

        * Updated French translation, thanks to RNB.

2003-12-11  Robby Stephenson  <robby@periapsis.org>

        * Added image fields.
        * Changed auto-completion to account for fields with multiple values.

2003-12-07  Robby Stephenson  <robby@periapsis.org>

        * Updated Norwegian translation, thanks to Leif Mathis Gaup.

2003-11-25  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug in remembering visible columns for custom fields.
        * Added some speed-ups in loading time.
        * Released Bookcase 0.7.2

2003-11-24  Robby Stephenson  <robby@periapsis.org>

        * Fixed another ISBN format bug for non-english publishers.

2003-11-23  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with auto-capitalization when global setting was turned off.
        * Fixed bug with not saving options for empty collections.
        * Fixed bug with reordering visible fields.

2003-11-21  Robby Stephenson  <robby@periapsis.org>

        * Added Pilot-DB export option.
        * Fixed bug to update status line after deleting entries.

2003-11-12  Robby Stephenson  <robby@periapsis.org>

        * Added Derived field type for concatenating values from other fields.
        * Added default collections for trading cards, coins, stamps, comic books, and wines.

2003-11-11  Robby Stephenson  <robby@periapsis.org>

        * Updated German tranlation, thanks to Gerrit Albrecht.
        * Added Swedish translation, thanks to Karolina Lindqvist.
        * Fixed bug with adding 2-column table.
        * Cut the 0.7.x branch.
        * Added Derived field type.

2003-11-09  Robby Stephenson  <robby@periapsis.org>

        * Fixed charset encoding bug.
        * Fixed compile for GCC 2.96.
        * Changed bibtex and CSV export to default to locale encoding.
        * Fixed bug with field editor not updating title.
        * Released Bookcase 0.7.1.

2003-11-08  Robby Stephenson  <robby@periapsis.org>

        * Released Bookcase 0.7.

2003-11-05  Robby Stephenson  <robby@periapsis.org>

        * Fixed the tips file translation issue.
        * Released Bookcase 0.7pre2.

2003-11-03  Robby Stephenson  <robby@periapsis.org>

        * Fixed ISBN formatting bug for non-english language publishers.
        * Released Bookcase 0.7pre1.

2003-10-25  Robby Stephenson  <robby@periapsis.org>

        * Fixed documentation compile error for KDE 3.2.
        * Added CSV importer.
        * Changed Bibtexml importer and exporter to use internal classes rather than XSL stylesheets.

2003-10-24  Robby Stephenson  <robby@periapsis.org>

        * Added string macro editor for Bibtex collections.
        * Printing now only prints visible entries by default.

2003-10-21  Robby Stephenson  <robby@periapsis.org>

        * Added new group for all attributes formatted as names, so Editors and Authors can be grouped together.

2003-10-10  Robby Stephenson  <robby@periapsis.org>

        * Changed printing to print columns as shown in the view, and group by the current grouping.
        * Removed old options for printing fields selection.

2003-10-04  Robby Stephenson  <robby@periapsis.org>

        * Added capability to reorder fields in field editor.

2003-10-03  Robby Stephenson  <robby@periapsis.org>

        * Imported btparse library code to use for importing Bibtex files. It has a lot of warnings, but none should be fatal.

2003-09-23  Robby Stephenson  <robby@periapsis.org>

        * Added "Bibtex Field" to default Bibtex collections fields to aid in exporting to Bibtex and Bibtexml.
        * Bumped document syntax to 4.
        * Changed "attribute" elements in document file to "field".
        * Changed all unit elements to "entry" rather than the unit name.
        * Changed Boolean values to save as "true" instead of an implicit value.
        * Added CSV exporter.

2003-09-12  Robby Stephenson  <robby@periapsis.org>

        * Added 2-column Table field type.

2003-09-09  Robby Stephenson  <robby@periapsis.org>

        * Changed boolean values to show title in group view.

2003-09-03  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug when deleting multiple books from detailed listview.

2003-08-31  Robby Stephenson  <robby@periapsis.org>

        * Changed field completion to be case-insensitive.
        * Fixed bug with saving listview columns.

2003-08-16  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with reopening last saved file.

2003-08-12  Robby Stephenson  <robby@periapsis.org>

        * Added French translation from RNB.

2003-08-08  Robby Stephenson  <robby@periapsis.org>

        * Added menu item for configuring toolbars.
        * Added menu item for configuring shortcut keys.

2003-07-31  Robby Stephenson  <robby@periapsis.org>

        * Added Table field type.

2003-07-30  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug in saving visible columns.
        * Improved loading time.

2003-07-29  Robby Stephenson  <robby@periapsis.org>

        * Implemented adding file extension (.bc) when using File->Save As and an extension filter is shown.
        * Added status bar text showing number of selected books when more than 1 is selected.

2003-07-24  Robby Stephenson  <robby@periapsis.org>

        * Added menu comands for showing/hiding the group view and editor.

2003-07-23  Robby Stephenson  <robby@periapsis.org>

        * Added "--nofile" command line option for bypassing the "Open last file" config setting.
        * Added "Tip of the Day" dialog.
        * Changed default for showing unit count to true.
        * Changed Year field type to generic Number.
        * Improved sorting to sort numerically for Number fields.
        * Added Default button to Field Editor dialog.
        * Added additional format option to never capitalize or format.
        * Fixed last open file option to no longer be over-written when Bookcase is exited with an empty document.
        * Cut the 0.6.x branch.

2003-07-22  Robby Stephenson  <robby@periapsis.org>

        * Fixed crashing bug in "Edit Fields" dialog.

2003-07-21  Robby Stephenson  <robby@periapsis.org>

        * Released Bookcase 0.6.5

2003-07-09  Robby Stephenson  <robby@periapsis.org>

        * Added Estonian translation from Toomas Nigola.

2003-07-07  Robby Stephenson  <robby@periapsis.org>

        * Updated German translation from Ulf-Diether Ehlert.

2003-07-01  Robby Stephenson  <robby@periapsis.org>

        * Fixed translation bug with category names.
        * Added Bulgarian translation from Boyan Ivanov.

2003-06-25  Robby Stephenson  <robby@periapsis.org>

        * Fixed sorting bug for empty fields.
        * Released Bookcase 0.6.4

2003-06-19  Robby Stephenson  <robby@periapsis.org>

        * Changed focus to first tab when adding new book.
        * Disabled multiple value option for title field in field editor.
        * Fixed bug with completion object not being updated when a field is changed to all auto-completion.
        * Fixed drawing bug with toolbar label background.

2003-06-17  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with surname matching too much with periods in regexp.
        * Added Japanese translation from Linux Magazine.
        * Added Dutch translation from Liese De Vos.

2003-05-30  Robby Stephenson  <robby@periapsis.org>

        * Fix crashing bug when opening the filter dialog on KDE 3.0.

2003-05-27  Robby Stephenson  <robby@periapsis.org>

        * Released Bookcase 0.6.3

2003-05-26  Robby Stephenson  <robby@periapsis.org>

        * Added feature where the column view remembers the previous sorted column, so that items with the same sort key are subsequently sorted by previous column.

2003-05-25  Robby Stephenson  <robby@periapsis.org>

        * Add Spanish translation, thanks to Quique.
        * Updated Norwegian translation, thanks to Leif Mathis.
        * Fix bug with collapse/expand all not working in group view.
        * Fix bug with "Find" not properly traversing the collection.
        * Fix bug with sorted column not being saved between document loads.
        * Fix bug with changed category not being reflected in edit widget.
        * Fix bug with name prefixes not being limited to word boundaries.

2003-05-11  Robby Stephenson  <robby@periapsis.org>

        * Released Bookcase 0.6.2

2003-05-10  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with custom fields not showing up in column popup menu.
        * Fixed crashing when selecting a different book after modifying the current one and not saving it.
        * Fixed icon bug for column view.
        * Prettied-up some of layout code.

2003-05-09  Robby Stephenson  <robby@periapsis.org>

        * Added Norwegian translation from Leif Mathis Gaup.
        * Fixed printing bug for books with multiple groups.

2003-05-06  Robby Stephenson  <robby@periapsis.org>

        * Changed initial file opening so that if a new empty file was the last viewed, then no recent file is opened at next startup.
        * Fixed bug with initial collection not updating edit widgets.

2003-05-05  Robby Stephenson  <robby@periapsis.org>

        * Released Bookcase version 0.6.1
        * Fixed automake 1.7 error with configure.in.in
        * Fixed UIC variable usage, primarily for *BSD platforms
        * Fixed double encoding bug on bibtexml inport
        * Fixed wrong namespace on bibtexml export
        * Changed to use KAcceleratorManager for keyboard accels on tabs
        * Fixed bug with the group view icon not getting changed back to the folder

2003-05-03  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with editing multiple books and getting asked every time if I'm sure.
        * Changed modified field names in the "Edit Fields" dialog to be colored, an din italic font instead of having an asterisk in front.

2003-05-02  Robby Stephenson  <robby@periapsis.org>

        * Released Bookcase version 0.6
        * Changed Bibtex export to use the Locale character encoding instead of UTF-8

2003-04-22  Robby Stephenson  <robby@periapsis.org>

        * Added a URL attribute type
        * Changed articles, surname prefixes, and suffixes to be case-insensitive so the config value no longer has to include both capitalized and lower-case values
        * Broke out the attribute format flag for cleaner code

2003-04-13  Robby Stephenson  <robby@periapsis.org>

        * Added multiple selection, batch editing

2003-04-12  Robby Stephenson  <robby@periapsis.org>

        * Added RegExp Editor button to find dialog
        * Added Quick and Advanced filtering in the detailed list view

2003-04-10  Robby Stephenson  <robby@periapsis.org>

        * Added new "person" icon for grouping when the group is a name

2003-04-09  Robby Stephenson  <robby@periapsis.org>

        * Convert from KTabCtrl to QTabWidget, which has more documentation and is actively developed

2003-04-08  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with column order not retained on save

2003-04-05  Robby Stephenson  <robby@periapsis.org>

        * Fixed bug with validating multiple copyright years

2003-03-25  Robby Stephenson  <robby@periapsis.org>

        * Added surname prefixes like 'de' and 'von'

2003-03-23  Robby Stephenson  <robby@periapsis.org>

        * Fixed debug mistake.
        * Released Bookcase version 0.5.2a

2003-03-22  Robby Stephenson  <robby@periapsis.org>

        * Released Bookcase version 0.5.2

2003-03-21  Robby Stephenson  <robby@periapsis.org>

        * Added German translation from Gerrit M. Albrecht
        * Fixed bugs with empty suffix and article list
        * Fixed some i18n issues

2003-03-18  Robby Stephenson  <robby@periapsis.org>

        * Added Hungarian translation from Marcel Hilzinger

2003-03-15  Robby Stephenson  <robby@periapsis.org>

        * Fixed types and compile problems. Thanks, Dre!
        * Released Bookcase version 0.5.1

2003-03-14  Robby Stephenson  <robby@periapsis.org>

        * Put the book count in color.
        * Took out general export function for now.
        * Released Bookcase version 0.5

2003-03-07  Robby Stephenson  <robby@periapsis.org>

        * Added a new printing page in the configuration dialog
        * Added a checkmark pixmap for the boolean fields
        * Added a header menu to be able to select which fields to show in
        the detailed list view

2003-03-02  Robby Stephenson  <robby@periapsis.org>

        * Fixed character encoding bug for latin2

2003-01-25  Robby Stephenson  <robby@periapsis.org>

        * Fixed focus bug

2003-01-19  Robby Stephenson  <robby@periapsis.org>

        * Changed FORMAT_VERSION to 2
        * Changed document format so that attributes which allow multiple
        entries are saved in multiple XML elements
        * Changed "keywords" attribute to "keyword"
        * Added check for document format version so that incompatible versions
        are not loaded. Older versions will be properly loaded, but once saved,
        previous versions of Bookcase will not load the new files properly.
        * Changed "Language" and "Copyright Year" to allow multiple entries.

2002-12-12  Robby Stephenson  <robby@periapsis.org>

        * Added namespaces to document file

2002-12-11  Robby Stephenson  <robby@periapsis.org>

        * Added import from Bibtexml using XSLT

2002-12-08  Robby Stephenson  <robby@periapsis.org>

        * Added export to Bibtex using XSLT
        * Added export to Bibtexml using XSLT

2002-12-03  Robby Stephenson  <robby@periapsis.org>

        * Released Bookcase version 0.4.1
        * Added a Romanian translation from Iulian Ursache <iulianu@cs.tuiasi.ro>

2002-11-29  Robby Stephenson  <robby@periapsis.org>

        * Fixed compile problems with gcc 2.95

2002-11-24  Robby Stephenson  <robby@periapsis.org>

        * Released Bookcase version 0.4
        * Printing improvements in XSLT layout

2002-11-10  Robby Stephenson  <robby@periapsis.org>

        * Added an Italian translation from FaUsT <faust@inventati.org>

2002-11-05  Robby Stephenson  <robby@periapsis.org>

        * Added a new toolbar for changing the grouping of the units
        * Changed the bookcase.spec file to add proper files

2002-10-20  Robby Stephenson  <robby@periapsis.org>

        * Released Bookcase version 0.3

2002-08-27  Robby Stephenson  <robby@periapsis.org>

        * Added two new XSLT files
        * Added printing support using KHTML
        * Added RPM spec file to automake

2002-02-21  Robby Stephenson  <robby@radiojodi.com>

        * Released Bookcase version 0.2

2002-02-20  Robby Stephenson  <robby@radiojodi.com>

        * Added BCColumnView::slotShowUnit() so to ensure that the proper listview in the stack is shown.
        * Added BCAttribute::capitalize for auto capitalization of names and titles.

2002-02-08  Robby Stephenson  <robby@radiojodi.com>

        * Changed selection behavior so the two listviews do not sync now. Clicking in one clears the other.

2002-02-03  Robby Stephenson  <robby@radiojodi.com>

        * Added article and suffix list to options in config dialog.

2002-01-11  Robby Stephenson  <robby@radiojodi.com>

        * BCListView is now BCColumnView and can flip between different collections. Woo-hoo! Now multiple collections behave properly. Also started adding configuration options.

2002-01-10  Robby Stephenson  <robby@radiojodi.com>

        * bctabcontrol.{h,cpp} Need KTabCtl::showTab to be public, so subclassed it.

2002-01-10  Robby Stephenson  <robby@radiojodi.com>

        * configdialog.{h,cpp} Added beginnings of configuration dialog.

2001-12-06  Robby Stephenson  <robby@radiojodi.com>

        * bcgroupview.cpp, bcattribute.cpp Fixed the bug for formatting names with suffixes like Jr.

2001-11-05  Robby Stephenson  <robby@radiojodi.com>

        * bookcase.h Removed the File->Close() action item.

2001-11-05  Robby Stephenson  <robby@radiojodi.com>

        * bcgroupview.cpp Fixed the bug where clicking the collapse or expand menu item on a BCUnitItem caused the pixmap to change to a folder.

2001-11-04  Robby Stephenson  <robby@radiojodi.com>

        * Released Bookcase version 0.1
